Welcome

User's manual for Asix

www.asix.com.pl

AsTrend

Manual for Operators

Doc. No ENH9022

Version: 2017-11-13


AsTrend functionality

1 AsTrend - functionality

The AsTrend program task is to visualize in chart or table form an archival data stored by SCADA application. The program may run in two modes:

- it may statically draw data stored within some archive files;

- it may dynamically display data while they are being collected from an object (simulation of a data logger).

To be able to analyze data from Asix application, you need a variable definition database defined. It is created by the application administrator.

Variable values can also be retrieved from historical data of other SCADA application. Tyou need to use a server compatible with OPC HDA standard.

AsTrend program may chart data from external sources: *.txt, *.csv files, *.xls files, and/or external databases accessible via the OLE DB mechanism (such as MSSQL and/or Access). The data structure of external source must allow data readout in ordered way.


Opperating Modes of AsTrend

1.1 Operating Modes of AsTrend

The AsTrend program may operate in two modes: in conjunction with an Asix system application, or alone.

In both modes the to-be-displayed data may be served by the same computer, on which the AsTrend program runs, or else by any of the networked computers.

Details on how to start AsTrend are given in chapter 2.1 Starting the Program.


Authorization System of AsTrend run with an Asix Application

1.2 Privilege System of AsTrend Run with an Asix Application

Starting the Program with an Asix.Evo Application

While using Asix.Evo:

  • Users are defined in an Asixa.Evo application. Privileges are defined in AsixEvo.exe in Security panel > Roles/Privileges tab. Only a user with the Asix.Evo application administrator role is automatically assigned with full permissions of AsTrend opperation.

Starting the Program with a Classical Asix Application

While operating in conjunction with Asix AsTrend has two modes of privileges:

  • privileges of users are defined in AsAudit module;

  • operator / administrator mode.

Privileges of Users are Defined in AsAudit Module

Privileges are defined in AsAudit. Full list of functions (associated with AsTrend) which depend on privileges of the logged user includes:

  • administration of AsTrend (changing the AsTrend program settings),

  • creating new files,

  • modification of files,

  • modification of read-only files,

  • having own system of menus and toolbars,

  • modification of the common menus and toolbars.

Operator / Administrator Mode

Operator

Access control mechanism without the AsAudit module enables each user to log-in as an Administrator or as an Operator only.

Each time the program is started from an application of the asix system, it is set into the operator mode.

Operator:

- create and modify .TRNX files with the ”read-only" attribute (See: 2.32 Saving the Trend Definition);

- can read trend patterns, change them and save them under new names, as well as create completely new trend definitions (in working directory only).

Administrator

The mode it activated by the command Administrator Mode [image] from: AsTrend main window > View tab > Security group. It demands the proper password to be entered, except the first time AsTrend is run on the computer – it is enough then to press OK. "Empty password" will be active till the administrator sets a new one.

Administrator can perform additional operations:

- open all files on computer disks,

- write trend files with the ”r;r;read-only" attribute set – such files can not be modified by operators,

- use the options: Window Size Block [image] (AsTrend main window > View tab > Window group) and Stały układ okien (AsTrend main window > View tab > Window group > window 'Trend Window Options' activated by the [image] button),

- modify layout of menus/toolbars,

- export charts to . PDF or .BMP files

- export legend to text, HTML and XLS files.

uwaga In the operator / administrator mode you can give the operator the AsTrend administrator rights. This should be done in the Architect> module Start Parameters> Programs / AsTrend tab > option Always work as Administrator / Grant operator rights of Administrator of AsTrend program.

uwaga After 15 minutes the administrator mode will be automatically terminated and the program will return to the operator mode.

uwaga If a trend definition is stored in the administrator mode with the window re-size function enabled, the function will remain enabled after the definition is opened as a pattern in the operator mode.

See also: 2.1 Starting the Program.


Web Version of AsTrend

1.3 Web Version of AsTrend

Since Asix 6 the Web version of AsTrend is available with full functionality of the standard window version.

Configuration of AsTrend to work in a web browser is implemented by the Asix application designer.


AsTrend Window

1.4 AsTrend Window

Main program window that appears as soon as the program has started includes the following elements:

Ribbon - collection of tabs with groupped commands;

Chart area - curves, coordinates;

Legend - charted data descriptions;

Status bar - status of the displayed trends.

Fig. AsTrend Window.

Chart area and legend area remain empty if the program has been called without any parameter. Just after starting the program most of its functions remains inactive.

Use the trend wizard to easily complete the entire procedure of defining a trend. The wizard is recommended particularly for novice users.


Ribbon

1.4.1 Ribbon

Access to particular AsTrend functions is performed through the ribbon placed at the top of the AsTrend main window; commands are groupped on the tabs: File, Home, Data, Trend and Legend, Chart, Graph, Table, View, Help and Periods Clipboard.

You can also define a quick access toolbar with the commands preferred.


Quick Access Bar

1.4.1.1. Quick Access Toolbar

Quick access bar is the place prepared for adding buttons with the commands that are often used by an operator or administrator. To put a new button onto the toolbar, you should select the command by pressing the right mouse button and select Add to Quick Access Toolbar.

To remove a button from Quick Access Toolbar, select the button by the right mouse button and use the command Remove from Quick Access Toolbar.

Fig. Quick Access Toolbar.


List of Commands of AsTrend Button Drop-Down List

1.4.1.2 'File' Tab

New Trend - open a new trend window;

New Trend - Wizard... - run trend wizard;

New Trend - Tutorial... - run trend wizard; wizard runs in the extended version of detailed description of various stages defining a new trend;

New Report - run window of a new report;

New Report - From the Current Trend - run window of a new report based on the data from the current trend;

New Historical Data Table - run window of a new table of current data;

Reopen File - cancel modifications, restore the original trend;

Open... - open trend file;

Recenlty Used Files - show the list of recently opened trend/report files;

Recently Used Folders - show the list of recently opened folders;

Print - print the displayed trend/report/table;

Save - store the displayed trend/report/table;

Save As ... - store the displayed trend/report/table in another file;

Create Shortcut... - create shortcut that runs the AsTrend program; command is available when AsTrend is run without Asix application;

Export To PDF - export trend data to a PDF file;

Export To BMP - export trend data to a BMP file;

Program Options - open ’Program Options’ window;

Hide Main Window - minimize the program window to a tray icon;

Exit - shut down the program; command is available when AsTrend is run without Asix application;


Home Tab

1.4.1.3 'Home' Tab

New Graph group:

Asix

Raw Data - add a graph of raw data from Asix application,

Aggregated Data - add a graph of aggregated data from Asix application,

Bits of Data - add a graph of bit value of a variable from Asix application,

Variable from Clipboard - add a variable form the clipboard,

SQL Alarm - add a graph of the state of selected alarm the event archive of which is stored in SQL database; mainly for Asix.Evo application,

Alarm - add a graph of the state of selected alarm form Asix application,

Calculated - open the window that allows adding variable calculated on the basis of other variables with use of a given expression;

AsBase - open the window that allows adding a graph from the archiving collection of AsBase database;

AsLogger - open the window that allows adding a graph from the recording plan of AsLogger database;

Reamaining Graphs

External Data - add a variable data from external files;

OPC UA Server - causes variable values to be loaded from the OPC UA server; the option is available under the extended licence of the HASP key of the Asix package;

OPC-HDA Server - add a variable data from OPC-HDA server; the option available with extended license of Asix HASP key;

Asix Archive File - add data exported from AspadTools to the trend window;

Constant Graph - open the window that allows adding a constant;

Empty Graph - add an empty row to the legend and historical data table;

Remove Selected - clear the currently selected variable.

***

Period group:

- set a period of charted data;

- set a previous period from periods history; remembered the 20 sequentially displayed periods;

- set a next period from periods history; remembered the 20 sequentially displayed periods;

Copy to Clipboard - copy a period to the period Clipboard;

Paste from Clipboard - insert a period from the period Clipboard;

Periods Clipboard - show/hide the window of the period Clipboard.

***

Time Move group:

Live Mode - start / stop the data logging mode;

Last Data - display the last data from a selected period;

Decrease Period - decrease period to the span determined by the consecutive default periods defined in AsTrend;

Increase Period - increase period to the span determined by the consecutive default periods defined in AsTrend;

Backward by Period - move backward by a period;

Backward - move backward by 1/4 of a period;

Forward - move forward by 1/4 of a period;

Forward by Period - move forward by a current period;

To the End of Data - move to the end of a data (the last data).


Raport

1.4.1.4 'Report' Tab

New Graph group:

Asix - add a graph of aggregated data from Asix application,

Calculated - open the window that allows adding variable calculated on the basis of other variables with use of a given expression;

Reamaining Graphs

External Data - add a variable data from external files;

OPC UA Server - causes variable values to be loaded from the OPC UA server; the option is available under the extended licence of the HASP key of the Asix package;

OPC-HDA Server - add a variable data from OPC-HDA server; the option available with extended license of Asix HASP key;

Remove Selected - clear the currently selected variable.

Type and Period of Report Data group:

- select the report type; available types:

Annual report by month

Annual report by decade,

Annual report by week

Annual report by day

Quarterly report by month

Guarterly report by decade,

Quarterly report by day

Monthly report by decades,

Monthly report by day

Monthly report by hour

Weekly report by day

Weekly report by hour

Daily report by hour

Shift report by hour

Unrestricted report - choosing this type displays additional fields: Date and Time.

Depending on the report type the following additional fields are displayed:

, [image], [image], [image], [image],

, [image], [image].

Backward by Period - move backward by a period;

Forward by Period - move forward by a current period;

To the End of Data - move to the end of a data (the last data).

Report Operation group:

Options - run 'Report Options' window with options of report layout, report page layout/view;

Show Page Edge - show right edge of the report page;

Print Preview - show print preview window;

Export - export report to one of the following formats: text file, HTML, XLSX.


Data Tab

1.4.1.5 'Data' Tab

Connection to Arhive group:

Asix - Variables and Alarms - open the variable and alarm definition database;

Asix AsBase - connect to an AsBase application database;

Asix AsLogger -connect to an AsLogger program database;

OPC HDA - Variables - open the window with parameters of connection with an OPC HDA server;

OPC UA - opens a window containing parameters of connection to the OPC HDA server;

***

Input Data group:

Refresh Data - download data again and draw the chart;

Data Server - display information on the current data server of a taken graph;

- run the window 'Trend Input Data Options' with the possibility of defining selected options.

***

Export of Data group:

Copy to Clipboard - copy data into Windows clipboard; sucha a data can be directly pasted into Excel spreadsheet.

Export to CSV - export data in tabular form into a file;

- run the window 'Data Export Options' which allows setting the options of data export into clipboard or text file;

- Header - declare one-line or two-line header and set units and aggregates near variable names;

- Genuine Data - declare samples one-by-one or by timeline;

- Quality Columns - add the quality column and set its format;

- Uniform Data - set a common time column for uniform data.

Fig. Data Export Options.


Trend and Legend

1.4.1.6 'Trend and Legend' Tab

Trend group:

Color Palette - select the color palette for added waveforms;

Trend Font - select the font (type, size, attributes: bold, italic, underline) for use in: legend, chart axis description, title, chart area and graph labels;

- run the window 'Trend Options' with the possibility of declaration of view, color palette, legend parameters and printout options for a trend.

Legend group:

Legend Columns - select the legend column;

Color - set the color of the legend raw background;

Height - set height of the legend (in the amount of displayed rows);

- run the window 'Trend Options' with the possibility of declaration of view, color palette, legend parameters and printout options for a trend.

Legend Operations group:

Export Legend - export the legend into the file; available file formats: XLS, HTML, text file; export to clipboard in text form is also possible;

Restore Captions - restore default descriptions for all displayed headers;

Update Attributes - update graph attribute values from the variable definition database.


Chart Tab

1.4.1.7 'Chart' Tab

Chart type group:

XT Chart - draw charts which measurement values of the graph are drawn as a function of time;

XY Chart - draw charts being a function of to variables;

X Chart - draw charts with values of graphs drawn in order they are registered, regardless of the time and value of other variable;

- run the window 'Trend Options' with the possibility of defining trend options.

***

Axes group:

One OY Axis - display one OY Axis;

Many OY Axes - display separated OY Axes for each variable;

Many OY Axes - Stack - display separated OY Axies for each variable; axes are arranged one above the other;

Proportional Axis - display proporcional axis;

Axes and Grid - display the list with the following parameters:

- set axes visible/invisible;

- set the axes colour (the same colour will be used for axes labels);

- setting of the thickness of the chart axis in the scale 1-5;

- set fixed chart arrangement;

- set the grid visible/invisible;

- set the way the grid will be displayed: dots / lines;

- set dots / lines colour;

- run the window 'Trend Axes Options' with the possibility of defining options of trend axes.

***

Zoom group:

Zoom - set the mode of zooming a chart area with the use of mouse scroll wheel or ribbon commands (after zooming the chart area you can catch the area by the mouse cursor and move it);

Zoom in - enlarge the chart;

Zoom out - reduce the chart;

Without Zoom - back to the original size of the chart;

Mini preview of data period - when the XT chart is zoomed in with a single OY axis, a preview showing the context of the zoomed-in part is automatically enclosed. The preview can be displayed under the chart (default setting) or as a window in the right top corner of the chart - to switch over, use the [image] button;

***

Appearance group:

Chart Panel Background - specify the colour and gradient for the trend background; it is an area under the chart and around the chart; trend background is visible in its entirety when you turn off coloring the chart area;

Chart Background - specify the color and gradient for the chart area; invisible background is also possible;

Chart Title - title in the chart area;

Legend on Chart - set a simplified version of the legend in the chart area; the legend contains the names of graphs;

3D - activate 3D chart;

- run the window 'Chart Options' \ Appearance tab.

***

3D group (available if the command 3D is used):

3D Parameters - choose between orthogonal and 3D view;

- 3D view is subject to manipulation in space using parameters: rotation, elevation, perspective, zoom, depth and view: front, right, left;

- orthogonal view is subject to manipulation using parameters: angle, depth and view: orthogonal projection right (default), orthogonal projection left;

Left Wall - specify the colour, gradient and frame for the left wall in 3D/orthogonal view; invisible left wall is also possible;

Right Wall - specify the colour, gradient and frame for the right wall in 3D/orthogonal view; invisible right wall is also possible;

Bottom Wall - specify the colour, gradient and frame for the bottom wall in 3D/orthogonal view; invisible bottom wall is also possible;

***

Read Lines group:

Main - display the single reading line;

Additional - display the additional reading line;

- run the window 'Read Lines Options';

***

Charts Export group:

Copy to Clipboard - copy the graph and the legend to the clipboard; the legend is included only if it is visible;

Save to BMP File - export the chart and the legend to a BMP file; the legend is included only if it is visible;


Geraph Tab

1.4.1.8 'Graph' Tab

Graph group:

Linear - set linear chart;

Bar - set bar chart;

Area - set area chart;

Points - display measurement points for selected graphs; not available for the bar chart;

Labels - display labels for selected graphs;

Stairs Interpolation - switch on stairs interpolation of selected graphs; not available for the bar chart;

Line Width - set the line width of selected graph;

Transparency - set the transparency of selected graph;

Use Own Color - enable to set own colour for the graph line;

- color list/palette for graphs;

Gradient Scale - set gradient scale for bar or area chart; range from -100 to 100; values greater than 0 lighten the chart and values less than 0 darken the chart; 0 means no gradient;

Gradient Balance - set gradient balance for bar or area chart; range from 0 to 100; the option moves the graph gradient up or down; 50 means a steady gradient;

Base Line - set the base line for the chart at a given value of the variable; only for area charts;

Gradient Upside-Down - swap the initial and final colour of the gradient; for bar and area chart only;

Graph Depth - change the depth of the graph in the range from 5% to 100%; it concerns the 3D chart;

Bar Width - change the width of the bar in the range from 5% to 100%; it concerns the bar chart;

Bar Offset - move the bar horizontally in the range from -100% to 100%; it concerns the bar chart;

- apply to charts with graphical markers of measurement points; select the shape the markers;

- apply to charts with graphical markers of measurement points; specify the size of markers;

- apply to charts with graphical markers of measurement points; set the outliner for markers;

Data from the Main Period of Time - set the option the graph contains the data from the period specified by the main timeline;

Data from the Additional Period of Time - set the option the graph contains the data from the period specified by the additional timeline;

Linear Axis Scale - use a linear scale for the vertical axis;

Logarithmic Axis Scale - use a logarithmic scale for the vertical axis; the axis can be logarithmically scaled only if the range of the minimum and maximum is greater than zero;

Vertical Axis on the Left Side of the Chart - set the OY axis on the left side of the chart (for the Many OY Axes charts);

Vertical Axis on the Right Side of the Chart - set the OY axis on the right side of the chart (for the Many OY Axes charts);

Vertical Axis on the Left or Right Side - set the OY axes on the left or right side of the chart; the graph can be charted on the same chart with an adjacent graph - if they both have applied the option. For example, if 8 graphs have applied this option, they will be charted in pairs on one chart - in total it will be 4 charts (one above the other);

Vertical Axis Always on the Left Chart - set the OY axis on the left side of the chart (for the Many OY Axes - Stack charts);

Vertical Axis hidden - allows hiding the OY axis of the graph;

Graph Options - open the window 'Graph Options';

Graph Attributes - display the current values of attributes from VarDef (variable definition database);

- run the window 'Graph Options' with the possibility of defining graph options.

***

Graph Location group:

Hidden - hide the graph on the chart;

Main Chart - show graph on the main chart;

Chart 2 - show graph on the chart 2;

Chart 3 - show graph on the chart 3;

Chart 4 - show graph on the chart 4.

***

Graph Operations group:

Graph Data Source Options - open the window to define the options of graph data source;

Copy - do a copy of the graph;

Replace with Empty - exchange selected in the legend graph line on a blank line;

Move Up - move the row of selected graph one up;

Move Down - move the row of selected graph one down;

Select All - select all graphs;


Table Tab

1.4.1.9 'Table' Tab

The tab is available when you switch on (by the button [image] ) displaying a current data in tabular mode.

Columns group:

Single Time Column - switch on table view mode with one common time column and many value columns.

Quality Columns - switch on table view mode with quality coumns;

***

Cursor Binding group:

No Binding - change of active row in the table will not change the position of read line;

To Main Read Line - change of active row in the table will result in changing the position of main read line; the option is relevant only if the main read line is active;

To Additional Read Line - change of active row in the table will result in changing the position of additional read line; the option is relevant if the additional read line is active.

***

Records group:

Samples by Timeline - activates a variant in which all the samples of graphs are arranged according to the time axis;

Samples One by One - activates a variant in which all the sample of graphs are arranged one after the other;

***

Informations group:

Data - display informations on data types in the table and how the data is displayed;

***

Look group:

Background Color of the Table Common Columns - set the color for No. and single Time columns;

Background Color of Table Panel - set the color for the table panel;

- run the window 'Trend Options' with the possibility of defining table backgrounds.


View Tab

1.4.1.10 'View' Tab

The menu allows performing the following operations:

Window Size Restore group:

No Restore - the option does not cause the window size to be restored when the trend definition file is opened.

Restore - if restoring is on, the window position and size are saved in the trnx file. When the trend file is opened up, the window position and size are restored without preventing the possibility to further change the window sizes.

Restore and Block Changes - if restoring is on, the window position and

size are saved in the trnx file. When the trend file is opened up, the window position

and size are restored with further changes of the window size being prevented.

While working out of the Asix system, you can turn on the program option allowing to ignore the position and the lock of the window size saved in the trend file.

- the button opens the ‘Trend Window Options’ window.

***

Panels group:

Chart 2 - enable/disable to display the chart area in AsTrend window,

Chart 3 - enable/disable to display the 2nd chart area in AsTrend window,

Chart 4 - enable/disable to display the 3th chart area in AsTrend window,

Legend - enable/disable to display the legend in AsTrend window,

Data Table - call / hide the data table,

Periods Clipboard - display the period clipboard window,

Reset Panel Composition

***

Style group:

Ribbon - run the list of available ribbon colour options and the option to reset the button layout,

Ribbon Color Accent - run the list of available ribbon colour options and the option to reset the button layout,

Reset the Layout of the Buttons - restore the default layout of buttons; the command available for Administrator;

Buttons Layout of the Operator - run the button layout for the Operator; the option is available when AsTrend is run with Asix application and the current user is logged in with AsTrend administrator permissions.

***

Security group - available when AsTrend is run with Asix application:

Administrator Mode - switch to the administrator mode,

Administrator Password Change - run the window to change the administrator pasword.


Help Tab

1.7.1.11 'Help' Tab

Help Topics - open help file,

Help Topics On-Line - open WebHelp in the local browser,

About - display information on AsTrend.


periods clipboard tab

1.4.1.12 'Periods Clipboard' Tab

Periods Clipboard group:

Copy to clipboard - copy the current period to the period clipboard;

Paste from Clipboard - insert the period from the period clipboard;

Empty Clipboard - delete stored graphs.


Ribbon Layout Management

1.4.1.13 Ribbon Layout Management

While using Asix.Evo, AsTrend ribbon is fully configurable for users with the privilege to own private menu and toolbar.

***

While operating with the Asix application in classical version, AsTrend ribbon is fully configurable separately for Administrator an Operator.

Only Administrator can define its own ribbon layout and the layout for Operator.

***

While using Asix in classical version with user privileges defined in AsAudit module, AsTrend ribbon is fully configurable for users with the privilege to own private menu and toolbar.

***

While using AsTrend independently of Asix application, independent AsTrend ribbon layout is defined for each user of operating system.


Chart Area

1.4.2 Chart Area

Chart area is located directly below the ribbon.

Fig. Chart Area.

Operations that may be performed directly within the chart area include:

  • change the period of displayed data,

  • read values and time,

  • drag-and-drop read line within the chart area,

  • drag a selected region boundary to grow the region,

  • select the variable,

  • change the OY axis display parameters,

  • call functions placed in the context menu.


Legend

1.4.3 Legend

Chart legend is located beneath the chart area.

When no variable is declared, the legend displays only heading with one row with the text; "<No data to display>".

The height of the legend is rounded to the total rows. You have the possibility to change the height of the legend.

The legend area can not exceed 3/4 of the main window area. If the legend is larger than 3/4 of the main window - scroll bar appears.

The legend may include the following types of fields:

1. Aggregates

2. Trend

3. Read line

4. VarDef - standard

5. VarDef - non-standard (declared by the user)

By default, names and parameters of variables displayed in each row of the legend have colours corresponding to the graph colours on the chart. (More in: 2.6 Operations in the Legend Area).

NOTICE: The legend with previously declared variables is displayed properly after AsTrend file opening even if there is no access to the variable definition database. This is because during adding a new variable to the chart, AsTrend reads all the attributes of the variable from the variable definition database and stores them in the file.

zoom in >>

Fig. Legend.


Status Bar

1.4.4 Status bar

Status bar is located beneath the legend. It is always visible.

zoom >>

Fig. Status Bar.


Many Charts in a Single AsTrend Instance

1.4.5 Many Charts in a Single AsTrend Instance

AsTrend gives you the possibility to display simultaneously up to 4 charts, of which the first is the main and always visible chart. Graphs can be drawn on any of the 4 charts. Graphs can be also easily shifted and copied between the charts.

The charts are displayed in individual windows with full support of docking.

For each of the graphs you can define individual parameters.

The charts are always printed in the number 1,2 or 4 on one page (in the case of 3 displayed charts the number of charts printed on one page amounts 4).

The appearance of a given chart that is a 'floating window' (not docked in AsTrend main window) can be modified with the use of 'Chart Options' window run from local menu of the chart.

Fig. Chart Parameters Available for the Chart Displayed as Floating Window.

zoom in >>

Fig. AsTrend with 4 Charts.

zoom in >>

Fig. AsTrend with 3 Charts - Printout (4 chart has no graph).


Data Types of Graphs

1.5 Data Types of Graphs

uwaga The maximum number of graphs added to the chart is 32.

The following data can be charted:

- Asix system application:

- row data of a process variable,

- aggregated data of a process variable,

- bit of a variable,

- alarm - alarm (from the application of classical version of Asix system) the event archive of which is stored in binary files, and definition is stored in a text file or variable definition database (mdb or MS SQL),

- SQL alarm - alarm (from the application of classical version of Asix or from Asix.Evo system), the event archive of which is stored in MS SQL database, and definition in a variable definition database (mdb or MS SQL),

- data from Asix archive file - variable data exported with the use of AspadTools module,

- data calculated from values of other variables,

- external sources,

- OPC-HDA server,

- AsBase - data from logging archive of AsBase database;

- AsLogger - data from registration plan of AsLogger database;

- constant,

- empty - used as a separator in the legend and in the mode of historical data table.

Each variable can be treated as an analog or binary variable.

Each alarm is treated as a binary variable. It has a separate line in the legend and a separate OY axis over the analoques chart.

An exemplary chart of alarms:

Fig. Chart o Alarms (red - alarm the event archive of which is stored in binary files; green - alarm the events of which are stored in MS SQL database).


Types of Chart Dependent on Axis Type

1.6 Chart Types Depending on the Axis Type

AsTrend may chart variables using the following axis types:

- single physical axis,

- proportional axis,

- many OY axes,

- many OY axes - stack,

- XY chart,

- X chart.

Each type is presented in following chapters.


Chart with a Single Physical Axis

1.6.1 Chart with a Single Physical Axis

Chart with a single physical axis is a default one. The OY axis displays real values of the graph in the range that can be set by the operator.

It is possible to scale the physical axis by using display range of graph values. The minimum and maximum of OY axis display range take the values from display range of the graph (the values are retrieved from the variable definition database, but they can also be individually set in AsTrend). Display ranges of all the graphs displayed at the same chart are taken into account when scalling physical axis.

It is also possible to scale the physical axis by using measurement range of graph values. The minimum and maximum of OY axis measurement range take the values from measurement range of the graph (the values are retrieved from the variable definition database, but they can also be individually set in AsTrend).

For charts with physical axis AsTrend allows to display the names of states as labels of OY values axis.

zoom >>

Fig. Chart with a Single Physical Axis.

zoom >>

Fig. Names of States as Labels of OY Value Axis.


Chart with Proportional Axis

1.6.2 Chart with Proportional Axis

In charts with proportional axis the OY axis is on the right side and the proportional axis - on the left side of the chart area.

zoom >>

Fig. Chart with Proportional Axis.


Chart with Many OY Axes

1.6.3 Chart with Many OY Axes

Wykres z wieloma osiami wartości OY pozwala wyświetlić indywidualną oś wartości dla każdego przebiegu. Oś przyjmuje kolor danego przebiegu i może być wyświetlona po lewej lub prawej stronie obszaru wykresu.

zoom >>

Fig. Chart with Many OY Axes.


Chart with Many OY Axes - Stack

1.6.4 Chart with Many OY Axes - Stack

Chart with many OY axes in stack alows to display individual value axis for each graph. The axis takes the colour of the graph and is located on the left side of the chart area.

Additionally, it is possible to display 2 adjacent graphs with one common axis. It is useful when area of the chart should be organized for better legibility. This option is activated in the options of adjacent graphs which are to be displayed on a common graph. Such a graph has two OY axes displayed on the left and on the right side of the chart area.

zoom >>

Fig. Chart with Many OY Axes - Stack.

zoom >>

Fig. Chart with Many OY Axes - Stack with the Option of Displaying 2 Adjacent Graphs with One Common Axis.


Chart with XY Axes

1.6.5 Chart with XY Axes

AsTrend can create the chart being the function of two Asix variables. For each chart point, one can display the label containing:

- point time stamp,

- graph point number,

- values of samples.

zoom >>

Fig. Chart with XY Axes.

zoom >>

Fig. Window 'Chart Options' > 'Type' Tab - Labels on XY Chart.


X Chart

1.6.6 X Chart

The X chart alows you to present different values of a variable (independent of time or other variable) in the order of their registration. The horizontal axis contains indexes of samples instead of time stamps - samples indexed from 1.

zoom in >>

Fig. X Chart.


Chart Types Depending on Type/Appearance of a Graph

1.7 Chart Types Depending on the Type/Appearance of a Graph

The following chart types due to the appearance of a graph are available in AsTrend:

  • linear,

  • bar,

  • area,

  • of binary variables.

One ot the chart type (linear, by default) is continupusly selected and is used while adding new variables to che chart.

You can also change the existing chart type. To do this, first select a variable which type of chart you want to change, then press one of the type changing buttons.

Each of chart types can be displayed in 3D version.


Aggregation of Asix System Data

1.8 Aggregation of Asix System Data

Time of drawing the chart can be accelerated by the use of archiving of aggregated data, without the need of changing any settings by the AsTrend operator. Charts are first drawn on the basis of aggregated values retrieved from Asix server archive, and if no such an archive is available - aggregated values are calculated on-line.

AsTrend selects the aggregation period and beginning of displaying data automatically according to the horizon of displayed chart. For example, if archived aggregated values were calculated from 1.00 PM, and you declare the horizon of displaying data starting with 1.05 PM - then AsTrend will use the aggregated values which are closest to the horizon set by you (data calculated since 1.00 PM).

Parameterization of calculating and archiving aggregated values is performed by the Asix application designed in the Asix system configurator - Architect module.


Aggregates - a New Source of Statistical Data Analysis

1.8.1 Aggregates - a New Source of Statistical Data Analysis

AsTrend user has access to extensive set of values aggregated on-demand for all data from any horizon

time - all this for the purpose of effective analysis:

The list of aggregation functions includes the following items:

- Minimum Value - minimal value in interval

- Maximum Value - maximal value in interval

- Average 0 Value - average from time weighted values in interval; for periods when value of variables is not accessible; 0 value is used;

- Average Value - average form time weighted values in interval

- Delta Value - difference between the value at the end and beginning of interval

- End Value - value at the end of interval

- Gradient Value - measurement range divided by period length in seconds

- Last - the last known value in the resample interval, not including the end of the interval.

For the types FLOAT, DOUBLE and INT64 result is stored as FLOAT, for other types as LONG.

- Previous Known - the last known value before the beginning of the resample interval.

For the types FLOAT, DOUBLE and INT64 result is stored as FLOAT, for other types as LONG.

- Quality Bad - percentage of samples with bad quality in interval

- Quality Bad Duration - the duration (in seconds) of time in the interval duing which the data is of bad quality

- Quality Good - percentage of samples with good quality in interval

- Quality Good Duration - the duration (in seconds) of time in the interval during which the data is of good quality

- Quality Uncertain - percentage of samples with uncertain quality in interval

- Quality Uncertain Duration - the duration (in seconds) of time in the interval during which the data is of uncertain quality

- Range Value - difference between maximal and minimal value in interval

- Root Mean Square - time weighted rms of data over the resample interval. The result is always FLOAT

- Average Last Known - time weighted average data over the resample interval; treat bad values as continuation of last known value. The result is always FLOAT.

Average_Last_Known is a better solution for variables which have constant value in long periods, e.g. device operation signal, than Average is.

- Standard Deviation - time weighted standard deviation of the data over the resample interval. The result is always FLOAT.

- Start Value - value at the beginning of interval

- Sum Down - the sum of negative value of changes from the last known value before the beginning up to the last value before the end of the resample interval.

For the types FLOAT, DOUBLE and INT64 result is stored as FLOAT, for other types as LONG.

Sum_up can be used to calculate the number of stops. All you need in this case is to aggregate a variable that takes the value of 0 when device is turned off, and the value of 1 when turned on.

- Sum Up - the sum of positive value of changes from the last known value before the beginning up to the last value before the end of the resample interval.

For the types FLOAT, DOUBLE and INT64 result is stored as FLOAT, for other types as LONG.

Sum_up can be used to calculate the number of starts. All you need in this case is to aggregate a variable that takes the value of 0 when device is turned off, and the value of 1 when turned on.

- Time of Maximum - timestamp of the maximum value

- Time of Minimum - timestamp of the minimum value

- Total Last Known - totalized value (time integral) of the data over the resample interval; treat bad value as continuation of last known value

One of the way of using Total_Last_Known is calculation of the time of device operation. All you need is to aggregate a variable that takes the value of 0 when device is turned off, and the value of 1 when turned on. The result will be the operation time in seconds.

- Total 0 Value - the sum of time weighted values (time integral). For periods when the sample quality is bad, the value of 0 is being used.

- Total - sum of time weighted values in interval (time integral)

The aggregates can be used for two purposes:

1. to calculate and display the graph values aggregated in a given time horizon;

2. to calculate aggregated values on the basis of data from the time period currently displayed on the chart and display these values in the fields of the legend.

  • in the first case, the user determines oneself the type of aggregation function used to read the data (regardless of the chart data type: genuine, uniform, approximated, averaged) as well as the period (interval) of aggregation function, which is the basis for calculating the successive aggregated values. With Aggregator (the Asix system module to calculate and archive statistical data), the data is calculated by the Asix server, where calculated by the

  • in the second case, the aggregated values are calculated locally by the Astrend program for the values displayed on the graph over a given time horizon (regardless of the chart data type: genuine, uniform, approximated, averaged). Aggregated values are displayed in the legend fields.


Mode of Historical Data Table

1.9 Mode of Historical Data Table

AsTrend allows you to view historical data in a tabular mode as well. It is run with one button that allows you to switch the program to interface designed to support the table.

Mode of historical data table is saved in the *.trnx file by the person logged in as an Administrator of AsTrend. Opening the file by the person with the privileges of Operator of AsTrend switches AsTrend into the mode of historical data table and displayes Administrator-defined variables and columns.

Each table record presents the values of selected attributes of a variable and the variable value from a given point of time. Navigation between the variable values from different points of time is performed with the use of navigation buttons.

zoom in >>

Fig. AsTrend - Mode of Historical Data Table.


Reports

1.10 Reports

AsTrend program has a function to create ad-hoc tabular reports for different periods of time (shift, day, month, quarter, year, any period of time) and associated default time intervals (hour, day, month). Ease of creating reports in AsTrend will convince each and every user. When selecting variables from the tooltip window, the user can simply choose reporting the values as one of the proposed aggregates. The following aggregate types are available, including minimum/maximum value, initial/final value, increment within a range, average and total value. It is also possible to create a report for variables calculated on the basis of archived graphs. For each report, you can easily define a header and summary (up to 5 rows), and finished reports can be printed and exported to PDF files.

zoom in >>

Fig. AsTrend - Report Mode.


AsTrend - Operation

2. AsTrend - Operation

The program may be used very easily. Typical activities include:

  • display the defined trends

  • perform some operations on the trends

  • print the displayed charts

  • define new trends.

Defining new trends can be performed with the built-in wizard.


Starting the Program

2.1 Starting the Program

Starting the Program with the Asix Application

In the former mode the program is started by the Asix system. The apllication designer designs the set of predefined trends and database of variable definitions. The users may browse the pre-defined trends, perform operations on them, and define own trends in the directory defined by the application designer.

The program may be started (while the application is loaded) with the use of a special parameter that the application developer puts in the application configuration file - see:

- Architect.pdf/chm, Declaration of Programs Started Together with the Application,

- Asix.Evo_Application_Parameterization.PDF/CHM, Operation with AsTrend Program.

The way you open the AsTrend file from the running application is executing the following operator action:

- ASTREND, parameterized by the application designer (in classical Asix) - see: Asix.PDF/CHM, Operator Actions;

- AstrendDisplay, parameterized by the application designer (in Asix.Evo) - see: Asix.Evo_Operator_Actions.PDF/CHM.

Starting the Program without the Asix Application

In the second mode, it is assumed that AsTrend is used alone and started at any time by the user.

uwaga It is possible to run more instances of AsTrend program.

The user decides which trends are to be displayed and usually defines them by oneself.

Use the following command to start the program alone:

Astrend.exe [trend_definition] [-dfolder] [-b]

where:

trend_definition - optional pathname to a file (*.TRN or *.TRNX extension) that contains trend definition to be displayed once the program starts;

-dfolder - optional folder name from which the specific trend file will be read - if the file with trend definition is declared in trend_definition; otherwise, the window 'Read Trend' with declared folder will be opened;

-b - optional parameter allows you to disable write of trend definition;


Help System

2.6 Help System

Help system is available in the following location:

AsTrend main window > Help tab > Help Topics command.


Modification of the Ribbon Contents

2.3 Modification of the Ribbon Contents

It is possible to modify the ribbon - which content is stored separately for the operator and administrator. Any changes in both sets can only be made by the administrator. By default, the Operator does not have such privileges, but there is a possibility to give him the privilege to have own menu layout and modify menus and toolbars (except in 'Operator / Administrator Mode' - see: 1.4 Privilege System of AsTrend Run with an Asix Application - in this case only the administrator can modify the contents of ribbon).

When you start the program by the first time the default ribbon layout will load.

To add/remove the button from the ribbon:

1. Righr-click in the tab, and then select the command Customiza the Ribbon...;

2. The window 'Ribbon Customization' will appear - it allows to select commands.

Fig. The Window 'Ribbon Customization'.

3. You can restore the default layout of buttonf with the use oc the command Reset the Layout of the Buttons on the View tab.

Fig. Command to Reset the Ribbon.


Trend Wizard

2.4 Trend Wizard

Trend wizard is availbal in two versions:

- simple wizard,

- tutorial wizard.

The first one is run by the command [image] New Trend - Wizard... from the File menu. It consists of successive windows containing set of parameters required to establish a trend.

The second one is dedicated to those who want to define a trend but have never before done that. The tutorial wizard is run by the command New Trend - Tutorial... from the File menu. Obligatory steps must be performed to go to next step.


Operations in the Chart Area

2.5 Operations in the Chart Area

Operations that may be performed directly within the chart area include:

  • drag-and-drop the time axis and change the data display period;

  • point with the mouse to a chart point to display the point data (time, value) in the status bar;

  • drag-and-drop the read line (use the button [image] to display one read line; use the butoon [image] to display two read lines);

  • drag a selected region boundary by the left button of the mouse to grow the region;

  • enlarge the chart area using the mouse wheel with the option [image] Zoom available (Chart tab > Zoom group);

  • click a variable graph to select the variable;

  • click an OY axis to modify its parameters;

  • click by the right mouse button a point within chart area to display context menu.

Fig. Context Menu in the Chart Area.


Operations in the Legend Area

2.6 Operations in the Legend Area

Operations available directly within the legend area include:

  • Display the legend using the button Legend located in: AsTrend main window > View tab > Panels group.

  • Display the legend on the chart area using the button Legend on Chart located in: AsTrend main window > Chart tab > Appearance group.

  • Change the legend height by grabbing by the cursor the edge separating the legend from the chart area; the height of the legend is rounded to the whole number of rows.

  • Point by the mouse a field to display the entire field contents (displayed until mouse pointer is moved away):

Fig. Displaying the Entire Field Contents.

  • Open the window by double click in the range field to change the variable range:

Fig. Graph Options - Ranges.

  • Display context menu by right-click in the legend area:

Fig. Context Menu in the Legend.

New Graphs - Asix - Raw Data - add a graph of raw data from Asix application;

Copy - do a copy of the graph;

Remove Selected - clear the currently selected variable;

Replace with Empty - exchange selected in the legend graph line on a blank line;

Hidden - hide the graph of selected variable;

Graph Location - indicates the numer of chart (when using many charts in one trend window);

Select All - select all graphs;

Move Up - move the row of selected graph one up;

Move Down - move the row of selected graph one down;

Graph Options - display the 'Graph Options' window;

Graph Data Source Options - display the 'Data Source - Asix Variable Graph' window;

Graph Attributes - display the window with the variable attributes;

Points - display measurement points for selected graphs; not available for the bar chart;

Labels - display labels for selected graphs;

Legend Options... - run the window 'Trend Options' with the possibility of defining the legend appearance;

Legend Options - display the window 'Trend Options'.

  • Change caption text (right clicl in the caption of celected legend column):

Fig. Changing the Caption Text.

  • Change the colour of variable names and parameters in each legend row. By default, the data displayed in raws have the colours.

  • The user can select which fields are to be displayed in the legend, using the list box dropped down by the button [image]. When you press the button [image], the window 'Legend Column Selection' will appear. You can remove fields using the method 'Drag-and-Drop'.

Legend fields:

  • Data aggregated by the following functions:

- Minimum Value - minimal value in interval

- Maximum Value - maximal value in interval

- Average 0 Value - average from time weighted values in interval; for periods when value of variables is not accessible; 0 value is used;

- Average Value - average form time weighted values in interval

- Delta Value - difference between the value at the end and beginning of interval

- End Value - value at the end of interval

- Gradient Value - measurement range divided by period length in seconds

- Last - the last known value in the resample interval, not including the end of the interval.

For the types FLOAT, DOUBLE and INT64 result is stored as FLOAT, for other types as LONG.

- Previous Known - the last known value before the beginning of the resample interval.

For the types FLOAT, DOUBLE and INT64 result is stored as FLOAT, for other types as LONG.

- Quality Bad - percentage of samples with bad quality in interval

- Quality Bad Duration - the duration (in seconds) of time in the interval duing which the data is of bad quality

- Quality Good - percentage of samples with good quality in interval

- Quality Good Duration - the duration (in seconds) of time in the interval during which the data is of good quality

- Quality Uncertain - percentage of samples with uncertain quality in interval

- Quality Uncertain Duration - the duration (in seconds) of time in the interval during which the data is of uncertain quality

- Range Value - difference between maximal and minimal value in interval

- Root Mean Square - time weighted rms of data over the resample interval. The result is always FLOAT

- Average Last Known - time weighted average data over the resample interval; treat bad values as continuation of last known value. The result is always FLOAT.

Average_Last_Known is a better solution for variables which have constant value in long periods, e.g. device operation signal, than Average is.

- Standard Deviation - time weighted standard deviation of the data over the resample interval. The result is always FLOAT.

- Start Value - value at the beginning of interval

- Sum Down - the sum of negative value of changes from the last known value before the beginning up to the last value before the end of the resample interval.

For the types FLOAT, DOUBLE and INT64 result is stored as FLOAT, for other types as LONG.

Sum_up can be used to calculate the number of stops. All you need in this case is to aggregate a variable that takes the value of 0 when device is turned off, and the value of 1 when turned on.

- Sum Up - the sum of positive value of changes from the last known value before the beginning up to the last value before the end of the resample interval.

For the types FLOAT, DOUBLE and INT64 result is stored as FLOAT, for other types as LONG.

Sum_up can be used to calculate the number of starts. All you need in this case is to aggregate a variable that takes the value of 0 when device is turned off, and the value of 1 when turned on.

- Time of Maximum - timestamp of the maximum value

- Time of Minimum - timestamp of the minimum value

- Total Last Known - totalized value (time integral) of the data over the resample interval; treat bad value as continuation of last known value

One of the way of using Total_Last_Known is calculation of the time of device operation. All you need is to aggregate a variable that takes the value of 0 when device is turned off, and the value of 1 when turned on. The result will be the operation time in seconds.

- Total 0 Value - the sum of time weighted values (time integral). For periods when the sample quality is bad, the value of 0 is being used.

- Total - sum of time weighted values in interval (time integral)

  • Trend:

Graph Name - symbolic name of the graph.

Display Range - graph display range.

Graph Address - symbolic address of the graph.

Graph Colour - graph colour used in the chart and legend.

Input Data - information on the type of the graph input data.

Precision - precision of graph values displayed in the legend.

Samples Count - number of read samples.

  • Read line:

Approximate Value of Read Line 1 - estimated graph value at main read line position.

Approximate Value of Read Line 2 - estimated graph value at additional read line position.

Read Line Distance - distance between two read lines.

Sample Quality of Read Line 1 - quality of the first sample on the left from the main read line.

Sample Quality of Read Line 2 - quality of the first sample on the left from the additional read line.

Sample Time of Read Line 1 - timestamp of the first sample on the left from the main read line.

Sample Time of Read Line 2 - timestamp of the first sample on the left from the additional read line.

Sample Value of Read Line 1 - value of the first sample on the left from the main read line.

Sample Value of Read Line 2 - value of the first sample on the left from the additional read line.

Time of Read Line 1 - main read line position at time axis.

Time of Read Line 2 - additional read line position at time axis.

  • VarDef - standard: pre-defined variable definition database fields.

  • VarDef - non-standard: variable definition database fields declared by the application designer.

Table 1. List of System Attributes of the Vvariable Definitions Database (for the applications of Asix.Evo and classical Asix).

NOTICE: Differences in interpretation of the attributes for the Asix.Evo application you can find in the table 1a (following the table 1).

Table 1. List of System Attributes of the Vvariable Definitions Database (for the applications of Asix.Evo and classical Asix)

Internal name of the variable attribute (PL) | Attribute type | Default name displayed in the header (PL) | Internal name of the variable attribute (EN) | Default name displayed in the header (EN) | Type | Description
Nazwa | mandatory | Nazwa | Name | Name | T | Unique symbolic name of the process variable univocally identifying the variable for all asix system components
Opis | mandatory | Opis | Description | Description | T | A custom text e.g. containing the technological description of process variable
Kanał | mandatory | Kanał | Channel | Channel | T | Logical name of the transmission channel (one of the names given in the transmission channel declaration)
Adres | mandatory | Adres | Address | Address | T | Symbolic address, whose form is specific for each asix system driver
LiczbaElementow | mandatory | Liczba elementów | ElementsCount | Elements count | N | Number of elements included in the process variable (variable can be an array)
OkresProbkowania | mandatory | Okres próbkowania | SampleRate | Sample rate | N | Period of process variable value updating (in seconds)
FunkcjaPrzeliczajaca | mandatory | Funkcja przeliczająca | ConversionFunction | Conversion function | T | Name of conversion function used to convert the value received from the controller to the value fed to asix system components
Archiwum | mandatory | Archiwum | Archive | Archive | T | Name of ASPAD resource (logical name of archive resource)
ParametryArchiwizacji | mandatory | Parametry archiwizacji | ArchivingParameters | Archiving parameters | T | Parameters of archiving of the given variable
Grupa1 | optional | Grupa1 | Group1 | Group1 | T | Grouping attribute, generated by default
Grupa2 | optional | Grupa2 | Group2 | Group2 | T | Grouping attribute
Format | optional | Format | Format | Format | T | Format of the number, used for displaying in asix system; the format is given in the manner required by C language (e.g. %4t2f is 4 digits, including 2 decimal digits
Jednostka | optional | Jednostka | Unit | Unit | T | Physical variable unit
ZakresPomiarowyOd | optional | Zakres pomiarowy od | MeasurementRangeFrom | Measurement range from | N | Maximum range, which can be used – minimal value
ZakresPomiarowyHi | optional | Zakres pomiarowy do | MeasurementRangeTo | Measurement range to | N | Maximum range, which can be used – maximal value
ZakresSurowyOd | optional | Zakres surowy od | RawRangeFrom | Raw range from | N | Conversion function parameter – input range from …
ZakresSurowyDo | optional | Zakres surowy do | RawRangeTo | Raw range to | N | Conversion function parameter – input range to …
ZakresWyswietlaniaOd | optional | Zakres wyświetlania od | DisplayRangeFrom | Display range from | N | Lower range limit for displaying the given variable – for asix objects
ZakresWyswietlaniaDo | optional | Zakres wyświetlania do | DisplayRangeTo | Display range to | N | Upper range limit for displaying the given variable – for asix objects
ZakresSterowaniaOd | optional | Zakres sterowania od | SteeringRangeFrom | Steering range from | N | Lower range limit for the value of the given variable set from asix
ZakresSterowaniaDo | optional | Zakres sterowania do | SteeringRangeTo | Steering range to | N | Upper range limit for the value of the given variable set from asix
BazaSlupka | optional | Baza słupka | BarBase | Bar base | T | Size loaded from the database by the BAR object
NazwyStanow | optional | Nazwy stanów | StateNames | State names | T | Name of the set of texts or directly - the set of description of variable states (specific full values)
ZestawStanow | optional | Zestaw stanów | StateSet | State set | T | Name of the set of state descriptions, where the current line belongs to. Attribute used only for lines including the state description set element.
WartoscStanu | optional | Wartość stanu | StateValue | State value | T | Number of state, whose description is used in the current line. Attribute used only for lines including the state description set element.
MaskaZmiennejKontrolnej | optional | Maska zmiennej kontrolnej | ControlVariableMask | Control Variable mask | T | Indicator of the status bit signaled by the control variable
ZmiennaKontrolna | optional | Zmienna kontrolna | ControlVariable | Control variable | T | Name of variable representing the measurement variable status
LimitLoLo | optional | Minimum krytyczne | LimitLoLo | Limit LoLo | T | Name of asix system variable containing the critical minimal value for the measurement variable
LimitLo | optional | Minimum | LimitLo | Limit Lo | T | Name of asix system variable containing the minimal value for the measurement variable
LimitHi | optional | Maksimum | LimitHi | Limit Hi | T | Name of asix system variable containing the maximal value for the measurement variable
LimitHiHi | optional | Maksimum krytyczne | LimitHiHi | Limit HiHi | T | Name of asix system variable containing the critical maximal value for the measurement variable
ZakresWyswietlaniaKrok | optional | Zakres wyświetlania krok | DisplayRangeStep | Display range step | L | It is used by CHART object. It means span of units of main scale on OY axis (at how many unit intervals the label will be displayed on OY axis)
ZakresWyswietlaniaSzer | optional | Zakres wyświetlania szerokość | DisplayRangeWidth | Display range width | L | It is used by CHART object. It means the width of value label displayed on 0Y axis
ZakresWyswietlaniaPodzial | optional | Zakres wyświetlania podział | DisplayRangeDivision | Display range division | L | It is used by CHART object. It determines the segmentation of main scale units defined by DisplayRangeStep attribute into smaller ones on 0Y axis
PolozenieSuwaka | optional | Położenie suwaka | SliderPosition | Slider position | T | Name of variable, where the values representing the position of the SLIDER object during moving of such slider will be entered.
RejestracjaSterowania | optional | Rejestracja sterowania | ControlLogging | Control logging | Logical value | Value 1 means that control actions of the variable are registered in AsAudit module

T –text, N – 64-bit floating point number

Table 1a. The list below describes only the differences in the attributes interpretation (Evo and classic).

Name

Description

Value Type

Specifies the variable value type in the Net. Convention. If the MDB database without this attribute is used, it is virtually created based on the converting function used in the variable definition and based on the format.

Format

The value text formatting method in the .Net Convention. A brief description of the .Net format can be found in the AsixEvo_Techniques_of_Diagram_Creation.pdf/chm manual.

In the case of MDB databases, the attribute is virtually created according to the following principles:

a. If the database has the FormatEvo attribute, it is directly treated as the Asix.Evo Format attribute definition.

b. If the database does not have the FormatEvo attribute, the Format attribute of the MDB database (specified in the convention of classic application formats) is translated into the corresponding .Net format when loaded.

Readout conversion function

The attribute has the form of an expression that pre-calculates the variable raw value loaded from a driver. The reference to the raw value ​​is performed in the expression contents using the RawValue function.

If the data server (Asix6 channel) is used, regardless of the attribute definition of the function converting a readout, the variable value is subject to the Asmen standard conversion, based on the ConversionFunction attribute.

If the MDB database without the ReadConvertingFunction attribute is used, it is virtually created based on the format used in the variable definition.

Record conversion function

The attribute has the form of an expression that calculates the control value before sending it to the driver.

The rest of the rules are the same as for the ReadConvertingFunction attribute.


Docking the Legend in the Trend Window

2.6.1 Docking the Legend in the Trend Window

The legend panel can be docked in the trend window (over, under or in the place of the chart panel). In the third variant the chart area is covered by the legend panel, but you can switch between chart/legend using the tabs: Graph or Legend.

Docking is done by dragging the legend in the chart area and dropping in the virtual scheme of window arrangement.

Back to independent arrangement of the legend panel is achieved by dragging the tab out of the chart area.

Back to independent arrangement of the legend panel displayed on the background of the chart area is achieved by dragging the legend tab over the chart area while pressing the Ctrl key.

The window layout is saved in AsTrend automatically while exit the program - but there is also the possiblity of saving the current window layout to the trend file using the command Storing Windows Layout from:

AsTrend > View tab > Window group > 'Trend Window Options' window opened by the button [image].

You can reset panels using the command Reset Panel Composition from:

AsTrend > View tab > Panels group


Operations in the Status Bar

2.7 Operations in the Status Bar

In individual fields of the status bar may apppear:

  • name of selected variable - in the field Selected Graph;

  • value of the time period to display values of variables - in the field Period;

  • number of measurements points displayed currently in the chart area - in the field Points.

In status bar it is possible the following operation:

- click in the field Period opens the window of setting periods.


Selecting Variable Definition Database

2.8 Selecting Variable Definition Database from the Asix System / OPC Server / AsBase / AsLogger

To select a variable definition database of the Asix system, press the button Asix - Variables and Alarms [image] , available in: AsTrend main window > Data tab > Connection to Archive group.

To select a database from the OPC server, press the button OPC HDA - Variables [image] , OPC UA [image] , available in: AsTrend main window > Data tab > Connection to Archive group.

To select a database of AsBase, press the button Asix - AsBase [image] , available in: AsTrend main window > Data tab > Connection to Archive group.

To select a database of AsLogger, press the button Asix - AsLogger [image] , available in: AsTrend main window > Data tab > Connection to Archive group.

The following windows will appear when pressing the above commands.

NOTICE: At AsTrend start-up the last used variable definition database opens.

zoom in >>

Fig. Selection of Variable Definition Database.

zomm in >>

Fig. Connection with OPC HDA Server.

zomm in >>

Fig. Connection with AsBase Database.

zomm in >>

Fig. Connection with AsLogger Database.


Adding Raw Data

2.9.1.1 Adding a Raw Data

Name of the to-be-added variable may be selected in the variable selection window. To open the window you may:

  • press the button [image] from: AsTrend main window > Home tab > New Graph tab;

  • press the button [image] from context menu called by click of right mouse button in the chart or legend area.

Neither of the above listed capabilities is available unless a database of variable definitions is open.

It is possible to add the same variable to one trend many times. It may have a sense, for example, if we want to see the graph of a variable and the variable average, or the variable graph in two time periods simultaneously.

The variable selection window can work in the pop-up window mode - which means that the variable selection window does not lock the AsTrend window then, allowing you to drag and drop variables into the AsTrend window. The variable selection window contains the Pop-up window mode button which allows you to switch between the dialogue window mode and the pop-up window mode.

Pressing the button [image] run the window 'Select Items’:

Fig. Variable Selection Window.

To select some variables in the ’r;Select item’ window, first expand the group that contains that variables on tree in the left segment of the window. List of all variables belonging to that group appears in the right window segment.

To select some of them, highlight them on the list (hold down Ctrl key and click each of the to-be-selected variable), then click the OK button. Alternatively you may subsequently double click each of the to-be-selected variables on the list.

If there are plenty of variables in a group, search and/or filter functions may be particularly handy.

Each of the variable description column may be separately shown/hidden. To this end click the button [image] located to the left of the column headers, set/clear respective checkboxes on the displayed list of columns, then click some point outside the list.

***

To find a variable in the variable selection window:

  • on the tree expand the group that contains the variable;

  • click header of a column to sort records according to that column;

  • click any field in the selected column;

  • start to enter the variable name from the keyboard; after each entry the list of variables is scrolled to the first record matching the so-far entered characters.

***

To use the filtering/grouping function, do as follows:

Use the Filtering and Grouping button to turn on the record filtering/grouping function. The function must be turned on to be able to perform the below described operations.

Aby pogrupować zmienne według wartości danego atrybutu, należy przeciągnąć nagłówek kolumny tego atrybutu na pasek znajdujący się ponad nagłówkami atrybutów.

Fig. Grouping by a Column.

To simply filter records by some value in a column, press the button [image] next to the column header and select the desired value from the dropped down list of all values.

Fig. Filtering by a Column.

Use the button [image] located at the left bottom side of the value table to run filter wizard that facilitates defining more complicated filters.

zoom in >>

Fig. Filter Wizard.


Adding Aggregated Data

2.9.1.2 Adding an Aggregated Data

Aggregated variable is a raw variable converted by an aggregation function. The period of time between samples is constant and equal to the period of aggregation for the aggregated variable.

If the trend uses an uniform data, the period between the samples is as defined in the trend configuration.

If your application has aggregates archiving engaged, using the interval of multiple minute may significantly speed up data retrieval.

Adding an aggregated data to the AsTrend window is realized with the use of the button Aggregated Data [image] activated from: AsTrend main window > Home tab > New Graph group > the button [image].

Parameterization includes:

- Variable Name;

- Aggregate Name;

- Aggregate Interval;

- Aggregate Timestamp (beginning of interval, end of interval).

Fig. The Window 'Add Aggregated Graph.


Adding a Bit of a Variable

2.9.1.3 Adding a Bit of a Variable

To add a bit of a variable, use the button [image] from: AsTrend main window > Home tab > New Graph group > the button [image].

The button [image] runs the window in which you have to determine:

- Variable name,

- Attributes Retrieved from Bit Definition which are to be displayed in the legend:

- Only Description - in the legend, in the description column the description of the variable bit will be displayed; in other attribute columns the variable attribute values will be displayed;

- Only Description Merged with Variable Description - in the legend, in the description column the description of the variable bit merged with the variable description will be displayed; in other attribute columns the variable attribute values will be displayed;

- All - in the legend, in the columns of all attributes the values of variable attributes will be displayed; the ability to retrieve all the attributes from a bit definition is blocked if the database does not have the attribute State Names defined.

zoom in >>

Fig. The Window 'Add Bits of Status Variable'.

zoom in >>

Fig. Chart of Variable Bits.


Adding an SQL Alarm

2.9.1.4 Adding an SQL ALarm

NOTICE:

Adding SQL alarms applies only to alarms the event archives of which are stored in SQL database (of classical as well as Asix.Evo applications). This requires that in addition to archiving in disk files the alarm events will archive in an SQL database.

If the variable definition database contains alarm definitions, the SQL alarms are added to the trend by the windows 'Select Alarms’ run by the button [image] from: AsTrend main window > Home tab > New Graph group > Asix button.

Fig. Adding SQL Alarms.


Adding an Alarm

2.9.1.5 Adding an Alarm

AsTrend can retrieve alarm definitions directly from the Asix application or variable definition database (in MS SQL or MDB). It is recommended to store alarm definitions in the variable definition database - it makes it much easier to identify the alarm the graph of which is to be displayed in AsTrend.

NOTICE: Adding an alarm by the button [image] referres only to the alarms of classical Asix application.

NOTICE: For alarms of Asix.Evo applications use the option of adding alarms that are stored in the SQL database - see: the chapter 2.13.1.4 Adding an SQL Alarm.

***

If the variable definition database does not contain alarm definitions, the alarms are added to the trend by the windows 'Add Alarm' called by the button [image] from: AsTrend main window > Home tab > New Graph group.

zoom in >>

Fig. The Window 'Add Alarm'.

***

If the variable definition database contains alarm definitions, the alarms are added to the trend by the windows 'Select Alarms' called by the button [image] from: AsTrend main window > Home tab > New Graph group.

zoom in >>

Fig. The Window 'Select Alarms'.


Adding a Graph from the Clipboard

2.9.1.6 Adding a Graph from the Clipboard

To make possible to add variables from the clipboard, it must contain the names of the variables in text format. Allowable separators of variable names there are: newline character, tab, comma, semicolon and the system list separator. Added variables must be defined in the currently opened variable definition database.

Variable names can be added to the clipboard as follows

- setting the mouse cursor over any object on the Asix application diagram and then press Ctrl + C (applies to the classic version of Asix; in the case of Asix.Evo you have to define the shortcut key, in particular Ctrl+C, performing the operator action GetVarNames),

- by selecting the command Add Variable Names to Clipboard from the variable selection window of the Architect program, in the local menu,

- by selecting the variable name from any text document and copying it to the clipboard.

The variable names stored in the variable definition database are added to the trend from the clipboard by using the command [image] from: AsTrend main window > Home tab > New Graph group > the button [image] .


Adding a Variable from the Asix Archive File

2.9.1.7 Adding a Variable from the Asix Archive File

To add a variable from the Asix archive file is to read the variable data exported in the AspadTools program into the AsTrend.

The Asix archive data are loaded into AsTrend by using the window 'Add Variables from an Asix archive file' loaded by the command [image] from: AsTrend main window > Home tab > New Graph group > Remaining Graphs.

Description of the use of AspadTools is available by pressing the Info button in the window 'Add Variables from an Asix archive file'.

zoom in >>

Fig. The Window 'Add Variables from an Asix Archive File'.


Adding a Calculated Variable

2.9.1.8 Adding a Calculated Variable

Graphs of data calculated from values of variables using specified expressions are added by the window 'Add Calculated Graph' run by the command [image] from: AsTrend main window > Home tab > New Graph group.

The window contains tabs, so that the user can declare attributes of calculated graph and construct expression, according to which the variable data will be calculated.

The tab Calculating Algorithm allows you to declare:

- Aggregation of data calculated from raw samples;

- Read of data calculated from aggregated sample values;

- Aggregation of data calculated from aggregated sample values.

zoom in >>

Fig. 'Add Calculated Graph' - Calculating algorithm tab.

***

The tab Calculated Graph includes:

- Expression - expression to calculate the variable; to faciliate the construction of expressions, use the window activated by the button Insert;

- Graph Data Type: Aggregated Data:

- Aggregate Name;

- Aggregate Calculating Interval;

- Aggregate Timestamp.

- Expression Test - verify the correctness of the expression by pressing the button Chect; if the expression is correct, the window with the message "Correct" appears;

- Input Variables - enter the variables of variable definition database used to calculate the value points of calculated graph; the button [image] run the window 'Select Items’; the [image] button inserts a variable from the clipboard; the [image] button removes a variable from the input variable list; the limit of the number of variable components in the calculated variable is 50.

- Interval for input variable - this interval is used for the sampling of input variable data of the calculated expression; the calculated values are then aggregates by means of the function and interval provided in the ‘Graph data type’ group.

Figure: ‘Add Calculated Graph’ window - ‘Calculated graph’ tab.

***

The tab Graph Attributes includes: the name, description, unit and range (measurement and display ranges of calculated variable);

zoom in >>

Fig. 'Add Calculated Graph' - Graph Attributes.

- Display Range - display range is used for scalling the physical axis and the axis of individual graph on Many OY Axes chart (notice: you have to set the options Minimal Displaying Range and Maximal Display Range as the minimum and maximum in the physical OY axis settings: AsTrend main window > Chart tab > Axes group > 'Trend Axes Options' window activated by the button [image] > Physical OY Axis tab). The range 0-0 means the absence of display range - then the physical axis range will be calculated based on the current values of the samples.

Notice: for scaling physical axis the display ranges of all the graphs are taken into account, for example: minimum can be set on the basis of the least one from minimal values defined for graphs and maximum on the basis of the highest one from maximal values. If not all of the graphs have ranges defined, the range is determined automatically.

- Measurement Range - measurement range is used for checking correctness of graph sample values; the values of samples that exceed the graph range by the number equal to the graph range are cut off. The range 0-1 for total value Asix system variable means that the variable is treated as a binary value.

The measurement range may also be used for scaling the physical axis (notice: you have to set the options Minimal Measurement Range and Maximal Measurement Range as the minimum and maximum in the physical OY axis settings: AsTrend main window > Chart tab > Axes group > 'Trend Axes Options' window activated by the button [image] > Physical OY Axis tab).

Notice: for scaling physical axis the measurement ranges of all the graphs are taken into account, for example: minimum can be set on the basis of the least one from minimal values defined for graphs and maximum on the basis of the highest one from maximal values. If not all of the graphs have ranges defined, the range is determined automatically.


Adding a Constant

2.9.2 Adding a Constant

It is possible to put into the chart constant value displayed as a horizontal line or an area.

The constant is added by the command [image] from: AsTrend main windows > Home tab > New Graph group > Remaining Graphs.

The window 'Add Constant Graph' includes the following tabs with constant atributes:

The tab Value allows you to declare a constant value:

- Expression - expression to calculate the value of a constant; to make it easier use the window of the library with functions, operators and constants, activated by the button Insert...;

- Expression Test - check expression syntax by pressing the button Check; if the syntax is correct, the window with the message "Correct" will appear;

zoom in >>

Fig. The Window 'Add Constant Graph' - the 'Value Labels' Tab.

***

The tab Graph Attributes allows you to specify basic attributes of a constant:

- Graph Name - name of a constant;

- Description - description of a constant;

- Unit - unit of a constant;

- Display Range - display range is used for scalling the physical axis and the axis of individual graph on Many OY Axes chart (notice: you have to set the options Minimal Displaying Range and Maximal Display Range as the minimum and maximum in the physical OY axis settings: AsTrend main window > Chart tab > Axes group > 'Trend Axes Options' window activated by the button [image] > Physical OY Axis tab). The range 0-0 means the absence of display range - then the physical axis range will be calculated based on the current values of the samples.

Notice: for scaling physical axis the display ranges of all the graphs are taken into account, for example: minimum can be set on the basis of the least one from minimal values defined for graphs and maximum on the basis of the highest one from maximal values. If not all of the graphs have ranges defined, the range is determined automatically.

- Measurement range - the measurement range is used to check if the values of the graph samples are correct. The values of the samples which go beyond the graph range by a number equal to the graph range width are trimmed. When the values of the range 0-1 for the Asix system variable of the integral type is entered, the variable is treated as binary.

The measurement range can also be used to scale the physical axis (note: in the Physical OY Axis settings, the Minimal measurement range and Maximal measurement range options must be selected as the minimum and the maximum points - Chart tab of the AsTrend main window > Axes group > 'Chart options' window > Physical OY Axis tab). While doing this, remember that the process of scaling the physical axis of the trend, the measurement ranges of all graphs are taken into account, for example: the minimum may be determined based on the smallest minimum defined for the particular graphs and the maximum - based on the greatest of the maximum values. In case when not all graphs have pre-defined measurement ranges, the range is determined automatically.

For a constant graph with no range declared, the range is set to be +/- 10% around the fixed value of the series.

zoom in >>

Fig. The Window 'Add Constant Graph' - the 'Attributes' Tab.


Adding a Variable from External Data Source

2.9.3 Adding a Variable from External Data Source

In AsTrend, there is the possibility to display charts of variables the values of which are retrieved from external data source (CSV, XLS files, as well as resources accessible by OLE DB: MSSQL, Access databases), on condition the database structure allows readout of all data in systematic manner.

You can add variables form external source with use of the command [image] External Data from:

AsTrend > Home tab > New Graph group > Remaining Graphs.

- Format - format zewnętrznego źródła danych:

- Plik tekstowy,

- plik programu Microsoft Excel,

- OLE DB.

zoom in >>

Fig. The Window 'Add Variables from External Data Source'.

Description of external source data format is available by pressing the button Help from the window 'Add Variables from External Data Source'.

At the stage of adding variables from external sources, you can declare

aggregated data as the type of data for the graph.

When external graphs are added, they can be specified as binary. Such binary graphs are drawn in the upper part above other variables, same as in case of binary variables from other sources.


Adding a Data from OPC-HDA Server

2.9.4 Adding a Data from OPC-HDA Server

Add a data from OPC-HDA server by the command [image] OPC-HDA Server from: AsTrend main window > Home tab > New Graph group > Remaining Graphs.


Adding a Data Graph from the OPC UA Server

2.9.5 Adding a Data Graph from the OPC UA Server

Adding a data graph from the OPC UA server can be done by means of the OPC UA Server [image] command from the Home tab of the AsTrend program main window > New graph >Remaining Graphs [image] group.


Adding a Graph from an AsBase Database

2.9.6 Adding a Graph from an AsBase Database

There is the spossibility in AsTrend to display graphs of variable values retrieved from the fields of logging archives of AsBase.

When you select a server and database of AsBase you are ready to choose the graph variable by the command [image] AsBase (from AsTrend > Home tab > New Graph group).

zoom in >>

Fig. Adding a Graph from an AsBase Database.


Adding a Variable from an AsLogger Database

2.9.7 Adding a Variable from an AsLogger Database

There is the spossibility in AsTrend to display graphs of variable values retrieved from the logging plan of AsLogger.

When you select a server and database of AsLogger you are ready to choose the graph variable by the command [image] AsLogger (from AsTrend > Home tab > New Graph group).

zoom in >>

Fig. Adding a Graph from an AsLogger Database.


Adding an Empty Graph

2.9.8 Adding an Empty Graph

Add an empty grapg by the command [image] Empty Graph from: AsTrend main window > Home tab > New Graph group > Remaining Graphs.

An empty graph is used as a separator in the legend and in the table of historical data.


Selecting the Data Type (Genuine/Aggregated Data)

2.10 Selecting the Data Type (Genuine/Aggregated Data)

AsTrend provides the following types of data:

  • intervals between measurements are the same as in the archive (imposed by the backup program) - genuine data;

  • data is always aggregated and the time intervals between successive samples are identical (enforced by AsTrend) - uniform data;

  • intervals between measurements are enforced automatically by AsTrend depending on the length of the period for which averaged data and approximated data (minimum and maximum values) are calculated.

The default type is - genuine data. The genuine data is switched on by the button [image] from: AsTrend main window > Data tab > Input Data group.

The advantage of this type is that for row data the chart points have time moments of real measurements.

***

The uniform data is switched on by the button [image] from: AsTrend main window > Data tab > Input Data group. This type forces constant distance between points on the graph - it may result in adding or removing certain measurements. As the result, however, you receive the same sampling times for all variables, which faciliates comparison of variables and is particularly valuable when displaying the trend in the form of a table of values (all graphs in the table have the same number of rows).

To set own sampling period (interval between successive samples) use the option Uniform Data - Sampling Period from: AsTrend main window > Data tab > Input Data group > 'Trend Input Data Options' window run by the button [image] > Data tab.

zoom in >>

Fig. Thw Window 'Trend Input Data Options' - 'Data' Tab.

***

The approximated data or averaged data are switched on by the buttons: Averaged or [image] Approximated (AsTrend main window > Data tab > Input Data group, or in the window 'Trend Input Data Options' run by the button [image] from: Data tab > Input Data group.

Averaged data:

For short periods of time genuine data is retrieved, for long periods aggregated data (averaged data) is retrieved.

The moment of change-over from genuine data to aggregated data as well as aggregation period (sampling period) are adjusted automatically.

This mode is mainly used to view data from a long time period. The archive should store pre-calculated averaged values of measurements to ensure their quick retrieval.

Approximated data:

For short periods of time genuine data is retrieved, for long periods two aggregated data sets (of minimum and maximum values) are retrieved.

The moment of change-over from genuine data to aggregated data as well as aggregation period (sampling period) are adjusted automatically.

This mode is mainly used to view data from a long time period. The archive should store pre-calculated values of aggregated data (minimum and maximum) to ensure their quick retrieval.

Approximated values are plotted as a HighLow graph, which consists of two curves representing the minimum and maximum values. The area between the curves is filled with a graph colour. Thanks to that all the extreme values of measurements are always visible on the chart.

***

The uniform, averaged and approximated data are calculated by the Asix system server with the use of the Aggregator module. Thus AsTrend reads the aggregated data rather than calculate it from raw values.


Selecting the Aggregate Function for Data Reading

2.10.1 Selecting the Aggregation Function for Data Reading

You can select the aggregation function for data reading.

The choice of the aggregation function for data reading can be performed in the window 'Data source – Asix variable graph' (AsTrend main window > Graph tab > Graph Operations group > press the button [image] ).

Aggregated data can be calculated by the Asix system server with the use of the Aggregator module. Thus AsTrend can read the aggregated data rather than calculate it from raw values - thanks to this solution the aggregated data - which the user is interested in - is delivered in a timely and efficient manner. (See: 1.8 Aggregation of Asix System Data).

Fig. The Window 'Graph Source – Asix Variable Graph’.


Setting a Period Using Trend Moving Buttons

2.16.1 Setting Time Period Using Trend Moving Buttons

Trend moving buttons:

Backward/Forward By Period - move horizontally by one current period,

Backward/Forward - move horizontally by quarter of the current period,

Decrease/Increase Period - reduce / enlarge a period by the successive pre-defined AsTrend periods,

To the End of Data - move up to the current time data or the end of external data,

and

Live Mode – start the data logging mode,

automatically change trend period.


Setting a Time Period Using Period Editor

2.11.2 Setting Time Period Using Period Editor

You can set a time period with use of period editor activated from: AsTrend main window > Home tab > Period group > the field [image].

The user can:

- select pre-defined period,

- set own period.

Setting the base date needs: a data, period length and "data position" in relation to the period.

The ’r;Period’ window supply the user with pre-defined period lengths. Smaller time units are available when you displayed a very short period of time.

- 5 milliseconds,

- 10 milliseconds,

- 20 milliseconds,

- 50 milliseconds,

- 100 milliseconds,

- 200 milliseconds,

- 500 milliseconds,

- 1 second,

- 2 seconds,

- 5 seconds,

- 10 seconds,

- 15 seconds,

- 30 seconds,

- 1 minute,

- 2 minutes,

- 5 minutes,

- 10 minutes,

- 15 minutes,

- 30 minutes,

- 1 hour,

- 2 hours,

- 4 hours,

- 8 hours,

- 12 hours,

- 1 day,

- 2 days,

- 4 days,

- 7 days,

- 14 days,

- 1 month,

- 2 months,

- 3 months,

- 6 months,

- 1 year.

zoom in >>

Fig. The Window of Time Period Editor.


Setup using the Period Clipboard

2.11.3 Setting Time Period Using the Period Clipboard

Trend period may also be retrieved from any trend stored in the Period Clipboard. See the 2.35 Period Clipboard section for description of the Periods Clipboard.


Setting a Time Period Opening a Trend Definition

2.11.4 Setting Time Period Opening a Trend Definition

Each time a trend definition is loaded, trend period is changed to the one stored within the definition in accordance with the following option:

AsTrend main window > Home tab > Period group > the window 'Period Options' run by the button [image].

Possible settings of automated period loading:

- Like during write,

- Period end equals now,

- Current day, time without change,

- Last used,

- Set in OPC format,

- The newest series in an AsLogger database,

- Ask me.

zoom in >>

Fig. The Window 'Trend Period Options'.


Setting a Time Period Using the Mouse

2.11.5 Setting Time Period Using the Mouse

Movement of mouse roller causes moving the period forward/backward.

Movement of mouse roller with pressed Ctrl key causes changing the period span.

Movement of mouse roller with pressed Shift key causes fast movement of the period.

It is also possible to change a time period if you drag and drop the time axis by the mouse.

Fig. Setting a Time Period by the 'Drag & Drop' Method.


OPC Time Editor

2.11.6 OPC Time Editor

The time period after opening the trend file can be expressed in OPC format, defined in:

AsTrend main window > Home tab > Period group > the window 'Period Options' run by the button [image].

Clicking on the button [image] in fields: Begin, End run the editor.

Beginning of relative time has the following pre-defined items:

- Current moment;

- Beginning of the current second;

- Beginning of the current minute;

- Beginning of the current hour;

- Beginning of the current day;

- Beginning of the current week;

- Beginning of the current month;

- Beginning of the current year;

- Beginning of the current shift;

'Beginning of the current shift' referres to shifts beginning at 6:00 AM or 2:00 PM or 10:00 PM.

zoom in >>

Fig. OPC Time Editor.


Setting the Length of Data Display Period

2.11.7 Setting the Length of Data Display Period

The length of data display can be set using the buttons on the Home tab > Time Move group:

Decrease Period - decrease period to the span determined by the consecutive default periods defined in AsTrend;

Increase Period - increase period to the span determined by the consecutive default periods defined in AsTrend.

***

The second way is to define its own length of time using the window 'Period' displayed by clicking on the field with the current period displayed on the Home tab > Period group.

zoom in >>

Fig. Data Display Period Defining Window.


Displaying Aggregated Data Based on Data of Currently Displayed Period

2.12 Displaying Aggregated Data Based on Data of Currently Displayed Period

In AsTrend there is the possibility to display aggregated data in the fields of legend (the list of fields of data aggregated by specific functions - see: 2.10 Operations in the Legend Area ). Aggregated data is calculated by AsTrend locally based on data of chart graph displayed within a set time period (regardless of data type: genuine, uniform, approximated, averaged).

The additional reading line gives the possibility to separate any time interval within the chart time period, for which aggregeted data will be calculated and then displayed in the legend fileds (if reading lines are off the legend fields display aggregeted data calculated for the whole displayed time period).


Dislapying Data with Time Stamps of Millisecond Resolution

2.12.1 Dislapying Data with Time Stamps of Millisecond Resolution

If you use the option Enable Support of Short Time Periods (AsTrend main window > Home tab > Period group > the window 'Trend Period Options' run by the button [image] ) the chart will be switched over to raw data (if aggregation period is below 1 minute) for data with time stamps of millisecond resolution (data from Asix or external sources). Then, the window 'Period' run from the button [image] has the following pre-defined time period:

zoom in >>

Fig. Pre-Defined Time Periods for Data with Time Stamps of Millisecond Resolution.


Setting Additional Time Period

2.13 Setting Additional Time Period

Various fragments of a chart of one variable (charted for different time periods) or the charts of different variables may be compared on a screen. This possibility is achieved by an additional time axis that may be turned on for one of the to-be-compared charts.

When at least one graph uses an additional time period:

- second OX axis appears over the graph;

- the abbility to edit the second time period appears in the period editor window.

When only one graph uses the additional time period, the additional time axis is displayed in the colour of this graph.

Fig. Chart with Additional Time Axis.

***

An additional time axis is activated for a selected graph by the button [image] from:

AsTrend main window > Graph tab > Graph group.

***

Time format of additional time axis is defined in: AsTrend main window > Home tab > Period group > the window 'Period Options' run by the button [image].

The standard format is ”yy-mm-dd" for periods longer than a day; and the format ”hh:mm" for other cases. There is also the possibility of using other formats or defining own format.

The following pre-defined formats are possible:

  • yy-mm-dd hh:mm:ss

  • yy-mm-dd hh:mm

  • yy-mm-dd hh

  • yy-mm-dd

  • yy-mm

  • mm-dd hh:mm:ss

  • mm-dd hh:mm

  • mm-dd hh

  • mm-dd

  • dd hh:mm:ss

  • dd hh:mm

  • dd hh

  • hh:mm:ss

  • hh:mm

  • mm:ss

Its own format the user can enter directly into the fields: Main Time Axis or Additional Time Axis, e.g. yy*mm*dd.

Fig. The Window 'Time Axes Options'.

***

Time for additional time axis is set by the button [image] which run the window 'Period' (AsTrend main window > Home tab > Period group). The beginning of period of additional time axis is set by Offset to Main Time Axis or Absolute or Relative Moment of Time.

zoom in >>

Fig. The Window for Setting Time Period for Main and Additional Time Axis.

.


Setting Chart Type Depending on Axes Type

2.14 Setting the Chart Type Depending on the Axes Type

One OY Axis chart is set by the button [image] from: AsTrend main window > Chart tab > Axes group.

By default, a trend has One OY Axis chart set up.

***

Proportional Axis chart is set by the button [image] from: AsTrend main window > Chart tab > Axes group.

***

Many OY Axes chart is set by the button [image] from: AsTrend main window > Chart tab > Axes group.

The vertical axis on the left side of the chart - use the button [image] from: AsTrend main window > Graph tab > Graph group.

The vertical axis on the right side of the chart - use the button [image] from: AsTrend main window > Graph tab > Graph group.

***

Many OY Axes - Stack chart is set by the button [image] from: AsTrend main window > Chart tab > Axes group.

Additionally, it is possible to display two adjacent variables (graphs) on one common chart (with common OX axis and two OY axes). It is useful when area of the chart should be organized for better legibility or when two graphs should be quickly correlated. Such a chart is described by two OY axes put on the left and right side of the chart. Two adjacent variables from the legend are charted on one common chart if each of them has the option Axis on the lefr or right side turned on (AsTrend main window > Graph tab > Graph group > the window 'Graph Options' run by the button [image] ).

The vertical axis in the same line as the axis of the previous graph - use the button [image] from: AsTrend main window > Graph tab > Graph group.

The vertical axis in the same line as the axis of the previous graph - use the button [image] from: AsTrend main window > Graph tab > Graph group.

The vertical axis on the left side of the chart - use the button [image] from: AsTrend main window > Graph tab > Graph group.

The vertical axis on the right side of the chart - use the button [image] from: AsTrend main window > Graph tab > Graph group.

***

XY Chart is set by the button [image] from: AsTrend main window > Chart tab > Axes group. Switching to a chart with time OX axis is performed by the button [image] XT Chart.

The contents of labels on the XY Chart is set by the option Labels on XY Chart from: AsTrend main window > Chart tab > Chart Type group > the window 'Trend Options' run by the button [image] .

NOTICE: The parameter for the content of displayed labels has to be defined for a variable which is first in the legend.

***

X Chart is set by the button [image] from: AsTrend main window > Chart tab > Axes group.


Linear Chart

2.15.1 Linear Chart

The linear chart is the most common (and default) chart type.

The linear chart is set by the button [image] from: AsTrend main window > Graph tab > Graph group.

The chart can be displayed in 3D.

***

Fig. The Linear Chart.


Bar Chart

2.15.2 Bar Chart

The bar chart is often used type of chart.

The bar chart is set by the button [image] from: AsTrend main window > Graph tab > Graph group..

The chart can be displayed in 3D.

***

Fig. The Bar Chart.


Area Chart

2.15.3 Area Chart

The area chart is set by the button [image] from: AsTrend main window > Graph tab > Graph group.

The chart can be displayed in 3D.

Fig. The Area Chart.


Binary Variable Chart

2.15.4 Binary Variable Chart

The binary variable charts are charted on separate axes for all types of graphs and all types of trend axes.

The variable is treated as a binary one in AsTrend if it has the range 0-1 and can take only integer values.

Binary value charts have the possibility to display variable state descriptions (see: 2.20 Displaying Variable State Descriptions).

Fig. The Binary Variable Chart.


Displaying Variable State Descriptions

2.16 Displaying Variable State Descriptions

There is the possibility to display names of variable states as labels of value axis for physical charts.

When displaying charts of many variables - the necessary condition is that all variables have identical names of states.

The mechanism of displaying the names of states needs to declare variables that will correspond to states of the monitored variables. The definitions of variables serving the definitions of states are prepared by the Asix application designer.

NOTICE:

When you add Asix variables or external variables AsTrend checks whether a variable has state descriptions defined - and, if so, a stepped interpolation is turned on.

zoom >>

Fig. Names of States as Labels of OY Value Axis.


Operations on Variables

2.17 Operations on Variables

If neither any individual graph nor any group of graphs displayed within the chart area is selected, the commanded operation will concern all variables of the trend. Operations may be commanded by ribbon buttons or context menu.


Selection of One or All Variables

2.17.1 Selection of One or All Variables

To perform any operation on one or all graphs it must be variable selection made.

To select a graph:

  • click the graph by the left mouse button;

  • click the variable row in the legend by the left mouse button.

Selecting all variables occurs by double-clicking the left mouse button on the chart area outside the graphs.


Removal of Variables

2.17.2 Removal of Variables

To remove a variable:

  • click the button Remove Selected [image] from: AsTrend main window > Home tab > New Graph group;

  • use ontext menu displayed in the chart area - the button [image];

  • click the key DEL.

If all variables are selected, the button [image] removes all variables.

Deleting a selected variable causes the next variable in the legend becomes a selected variable.


Displaying the Variable Metrics

2.17.3 Displaying the Variable Metric

To display the variable metric (variable attributes):

  • click the button [image] from: asTrend main window > Graph tab > Graph group;

  • use the button Graph Atttibutes from the chart context menu.

The above methods are available when the variable has been previously selected. Othervise, these functions are inactive.

There is an example of the metric window.

Fig. The Variable Metric.

The above data is retrieved from the variable definition database.


Displaying Labels

2.17.4 Displaying Labels

Labels are small boxes displayed above curve points, in which values of the points are shown.

To display lables, use the button [image] from: AsTrend main widnow > Graph tab > Graph group;

Fig. The Chart with Displayed Labels.

The highlited button corresponds to the situation of displaying labels. The function is dependent on the context. If at the time you press the button [image] any variable is selected, the labels will be displayed or removed only for the graph corresponding to a selected variable - otherwise the labels will be displayed or removed on all the graphs.

For the graph (variable) for which names of states are defined in the variable definition database, when the option of displaying labels is turned on - the names of the variable states will be displayed in the labels.


Displaying Measurement Points

2.17.5 Displaying Measurement Points

Squares representing measurement points may be displayed only within line and area charts. They are located in places corresponding to the point values.

To display measurement points, use the button [image] from: AsTrend main window > Graph tab > Graph group.

Displaying points activates the fields for point shape/size/outline declaration:

- apply to charts with graphical markers of measurement points; select the shape the markers;

- apply to charts with graphical markers of measurement points; specify the size of markers;

- apply to charts with graphical markers of measurement points; set the outliner for markers.

Fig. The Chart with Measurement Points Displayed.

The function is dependent on the context. If at the time you press the button [image] any variable is selected, the points will be displayed or removed only for the graph corresponding to a selected variable - otherwise the points will be displayed or removed on all the graphs.


Changing the Variable Range

2.17.6 Changing the Variable Range

This function applies to a selected variable.

To change the graph range (minimum and maximum):

  • double-click in the fields: Minimum / Maximum Value fields in the legend.

The window 'Graph Options' will be displayed with the possibility of changing Display Range and Measurement Range.

zoom in >>

Fig. The Window 'Graph Options' - the Tab 'Ranges'.

- Display Range - display range is used for scalling the physical axis and the axis of individual graph on Many OY Axes chart (notice: you have to set the options Minimal Displaying Range and Maximal Display Range as the minimum and maximum in the physical OY axis settings: AsTrend main window > Chart tab > Axes group > 'Trend Axes Options' window activated by the button [image] > Physical OY Axis tab). The range 0-0 means the absence of display range - then the physical axis range will be calculated based on the current values of the samples.

Notice: for scaling physical axis the display ranges of all the graphs are taken into account, for example: minimum can be set on the basis of the least one from minimal values defined for graphs and maximum on the basis of the highest one from maximal values. If not all of the graphs have ranges defined, the range is determined automatically.

- Measurement Range - measurement range is used for checking correctness of graph sample values; the values of samples that exceed the graph range by the number equal to the graph range are cut off. The range 0-1 for total value Asix system variable means that the variable is treated as a binary value.

The measurement range may also be used for scaling the physical axis (notice: you have to set the options Minimal Measurement Range and Maximal Measurement Range as the minimum and maximum in the physical OY axis settings: AsTrend main window > Chart tab > Axes group > 'Trend Axes Options' window activated by the button [image] > Physical OY Axis tab).

Notice: for scaling physical axis the measurement ranges of all the graphs are taken into account, for example: minimum can be set on the basis of the least one from minimal values defined for graphs and maximum on the basis of the highest one from maximal values. If not all of the graphs have ranges defined, the range is determined automatically.

By default, the chart has a range determined on the basis of the variable definition database, e.g. 0-10000.


Changing Interpolation

2.17.7 Changing Interpolation

By default, linear interpolation is used. However, step-wise interpolation may also be used (in particular well suited for multi-state variables).

This function applies to a selected variable.

To change interpolation, use:

  • the button [image] from: AsTrend main window > Graph tab > Graph group.

The differences between the methods of interpolation are illustrated in the following figure.

The function affects only the selected variable(s).

NOTICE:

When you add the Asix variables or external variables, AsTrend checks whether a variable has names of states defined - and, if so, step-wise interpolation is turned on automatically.

Fig. Linear and Step-Wise Interpolation.


Showing/Hiding a Variable Graph

2.17.8 Showing/Hiding a Variable Graph

By default, each variable graph is shown.

The function affects only the selected variable(s).

To show/hide a variable graph, use:

  • the button [image] from: AsTrend main window > Graph tab > Graph Operations group;

  • the button [image] from the legend context menu.

The highlited button means a variable graph hidden.


Colour Change

2.17.9 Colour Change

The program automatically assigns colors to different variables according to a pre-defined sequence (red, green, yellow…). However, color of each variable may be changed manually.

Firstly select a variable, secondly change the colour using:

  • the option Use custom colour from: AsTrend main window > Graph tab > Graph group > the window 'Graph Options' run by the button [image] > Appearance tab > the option Use Custom Color.

Fig. Graph Options - Defining a Custom Colour.

You can also:

  • define own colour palette in: AsTrend main window > Trend and Legend tab > Trend group > the window 'Trend Options' run by the button [image] > Appearance tab > Use the Colour Palette from Trend Options option > Colour Palette tab > <trend own palette>. Coloured squares correspond to the appropriate graphs - if you want to change the colour, double-click a suitable square.


Operations on Displayed Graphs

2.18 Operations on Displayed Graphs

Once a trend is charted, usually some adjustments of the displayed graphs are necessary to optimize the view to the current needs.

Some operations may exclude some other operations. For example, if the data logging mode is activated, panning function is disabled.


Live Mode - Continuous Data Registration

2.18.1 Live Mode - Continuous Data Registration

Each trend may be switched over to the data logging mode.

'Live mode' can be turned on/off by:

  • the button [image] from: AsTrend main window > Home tab > Time Move group.

This mode is basically used to continuously monitor freshly acquired data. Charts are re-drawn every 2 seconds provided the new data has appeared.

While logging is suspended, trend is immobilized, but all regular trend operations become available.


zooming

2.18.2 Zooming

Each part of the graph within the chart field can be zoomed in.

To zoom in, use the below described methods:

  • Select the rectangular area which you want to zoom in, using the mouse (see the figure below). Start selecting the area from the left side to the right side while keeping the left mouse button pressed. Release the button to perform the zooming in operation horizontally and vertically. The top left corner of the area and the curve must not overlap because then a click is interpreted as selection.

The operation of selecting a part of the chart 'from right to left' is the reverse of the zooming in operation - it allows you to go back to the previous period in the history of changes (you can repeat the operation until the first period saved in the memory of the history of changes is displayed). This is the operation of zooming out horizontally.

Figure: Zooming in of a selected chart area.

  • You can also zoom in by selecting the [image] Zoom option and then using the [image] Zoom in command (the Chart tab of the AsTrend main window > Zoom group or using the mouse scroll wheel. Moving the mouse wheel while keeping the Ctrl or Shift button pressed zooms in the chart only in relation to one axis.

..

To zoom out, use the [image] button (the Chart tab of the AsTrend main window > Zoom group) - after you have previously turned on the [image] Zoom option and performed the zooming in operation.

To restore the original, you can use the [image] button (the Chart tab of the AsTrend main window > Zoom group) - after you have previously turned on the [image] Zoom option and performed the zooming in operation.

It is possible to forbid the zooming in of the chart area:

  • You can deactivate the zooming in by 'unclicking' the [image] button (the Chart tab of the AsTrend main window> Zoom group). This deactivation does not limit the operation of zooming in on a part of the chart by dragging the mouse 'from left to right'.

While zooming in of the XT chart with a single OY axis, a preview showing the context of the zoomed-in part is automatically enclosed. The preview can be displayed under the chart (default setting) or as a window in the right top corner of the chart - to switch over, use the [image] button (the Chart tab of the AsTrend main window > Zoom group - having previously turned on the [image] Zoom option). The preview allows you to perform the following operations:

  • move and resize the indicator of the zoomed-in area in the preview;

  • move the zoomed-in area indicator by clicking the mouse on the preview beyond the zoomed-in area indicator area; after clicking, the zoom-in area is centred around the clicked point and the zoom-in scale is not changed.

Rys. Preview of the zooming-in of the XT chart for one OY axis.


Panning

2.18.3 Panning

The graph area displayed according to the initial data can be moved forward or backward as needed.

The panning can be done by means of the following buttons (the Home tab of the main window of AsTrend > Time Move group):

Decrease Period - the period is decreased according to consecutive period values predefined in the AsTrend program;

Increase Period - the period is increased according to consecutive period values predefined in the AsTrend program;

Backward by Period - used to pan backward by the current period;

Backward - used to pan backward by ¼ period;

Forward - used to pan forward by ¼ period;

Forward by Period - used to pan forward by the current period;

To the End of Data - used to pan to the end of the course.


Readout of Variable Values

2.18.4 Readout of Variable Values

You can indicate with the mouse any graph point in order to read out the variable value (value, time and status). The mouse cursor overlapping a displayed graph changes its shape from an arrow into a cross. If you click the mouse button while the mouse cursor is a cross, a small box pops up next to the cross. The value data of the indicated graph point is displayed within the box till you move the cursor.

The operation of reading out values has a side effect: the indicated variable becomes selected.

You can read larger blocks of data from the table of values.

Fig. Value Readout.


Variable Selection

2.18.5 Variable Selection

Many operations can be performed only if some variable is selected. You can select a variable in two ways:

  • point with the mouse the displayed graph of that variable (the mouse cursor should change its shape from an arrow into a cross) and click;

  • click in the legend in the variable raw.

Name of that variable will appear in the status bar.

The operation of selecting a variable has a side effect: some ribbon buttons and some menu options become enabled.


Restoring Original Appearance of the Window

2.18.6 Restoring Original Appearance of the Window

All modifications introduced to the trend window can always be restored to the initial state.

Restore original appearance of the trend window by the button Reopen Trend File [image] from: File menu.


Window Size/Location Block/Unblock

2.18.7 Window Size/Position Block/Unblock

AsTrend > View tab > Window Size Restore

The window size and arrangement can be locked or unlocked only in the administrator mode.

This can be done by means of the following options:

No Restore - the option does not cause the window size to be restored while opening

the trend definition file.

Restore - if restoring is on, the window position and size are saved in the trnx file. When the trend file is opened up, the window position and size are restored without preventing the possibility to further change the window sizes.

Restore and Block Changes - if restoring is on, the window position and size are saved in the trnx file. When the trend file is opened up, the window position and size are restored with the possibility to further change the window sizes being prevented.

If the trend file is opened by means of the operator's action, the

pre-set window position can be specified as the action parameter

- the AstrendDisplay action is used for the Evo version of Asix;

- the ASTREND action is used for the standard version of Asix;

While working out of the Asix system, you can turn on the program option allowing you to ignore the position and the lock of the window sizes saved in the trend file: the File menu of the AsTrend main window > Program Options > Windows tab > Main window position option.

Only the operator is allowed to work in the window size and arrangement lock mode. You cannot change the sizes of the particular fields of the trend window in this mode. At the same time, the AsTrend program is prevented from being terminated for the operator.

Unless the administrator locks the window size when saving the trend, the trend which is opened in the operator mode will be interpreted as a model but its size will not be locked.


3D Chart Handling

2.19 3D Chart Handling

AsTrend gives you the opportunity of displaying graphs in 3D - there are two types of 3D charts:

1. 3D chart with the possibility of spatial manipulation of the chart area in three dimensions;

2. orthogonal chart.

3D with full spatial manipulation of the chart area in three dimensions:

3D is a recommended form of 3D chart presentation. Tl allows manipulation of: rotation, elevation, perspective, zoom and depth.

To switch the chart to 3D version, use the button [image] from: AsTrend main window > Chart tab > Appearance group.

The full 3D type is activated and parameterized using the button [image] that starts the list of available parameters of the 3D view (AsTrend main window > Chart tab > 3D group available when [image] is pressed):

Rotation - rotate the chart area around the vertical axis;

Elevation - rotate the chart area around the horizontal axis;

Perspective - turn on perspective;

Zoom - specify the size of the chart area;

Depth - deepen perspective;

Select View - select pre-defined 3D view:

- 3D View Right;

- 3D View Front;

- 3D View Left;

Fig. The Bar Chart in the Full 3D.

Orthogonal chart:

The orthogonal view is by far the simpler form for presentation of 3D charts. It only enables manipulation of angle and depth of the chart area.

It is not recommended to use this type to line charts. Much better visualize effects for line charts are obtained by using the full 3D variant.

To switch the chart to 3D version, use the button [image] from: AsTrend main window > Chart tab > Appearance group.

The orthogonal type is activated and parameterized using the button [image] that starts the list of available parameters of the orthogonal view (AsTrend main window > Chart tab > 3D group available when [image] is pressed):

Angle - specify the angle between the edge at the junction of left / bottom wall and the edge of the horizontal bottom wall;

Depth - specify the length of the edge at the junction of left / bottom wall; the longer the edge the greater sense of depth;

Select View select pre-defined 3D view:

- Orthogonal Projection Right (default);

- Orthogonal Projection Left;

Fig. The Part of the Orthogonal Chart - Angle.

Fig. The Bar Chart in the Orthogonal 3D.


Program Options

2.20 Program Options

The window "Program Options" is run by the command Program Options from the File menu. The options included in the window allow you to make settings for AsTrend in the following areas (most of the options have already been discussed in previous chapters referred to particular aspects of using the AsTrend program):

- main window position;

- data servers;

- the type of the window used to open a trend file (system window or built-in with the possibility to view the file content);

- diagnostic information on the license of data server access, parameters passed form the Asix application (if you start AsTrend with your Asix application), communication with the data source (when AsTrend run in web browser);

- trend printout format;

- saving the current trend configuration and current legend configuration as default configuration for new trend files;

- colour palette;

- selection of available warnings;

- reading lines.

The window "Program Options" includes the following tabs described below.

***

The tab Windows allows you to specify whether during the AsTrend operation wihout the Asix application the information on the AsTrend main window location and the window resize lock will be ignored.

There is also the possibility of declaring the automatic activation of the ribbon tab of AsTrend data table (of current data) and the ribbon tab of AsTrend period clipboard at the moment you open the current data table or the period clipboard. Additionally, if you check the option Active Ribbon Tab on Window Open the ribbon tab: Table (of current data) or Period Clipboard will be automatically active when the corresponding window will become active: 'Table' or 'Period Clipboard'.

The option Show On-Screen Keyboard Button allows to activate the icon running the screen keyboard on each form.

Fig. The Window 'Program Options' - the 'Windows' Tab.

***

The Network of Asix System tab allows you to declare a TCP/IP-protocol-based connection from which data will be loaded for the displaying of trend charts as well as the server answer maximum waiting time and the data server maximum response time.

If the AsTrend program has been launched without running the Asix system application and the Asix server uses only the TCP/IP protocol or is a part of another subnetwork, it is necessary to configure the TCP/IP connection with this server using the Connections using TCP/IP protocol command.

Fig. The Window 'Program Options' - the 'Network of Asix system' Tab.

***

The Dialog Windows tabs allows you to declare the window type which will be used to open the trend files (accessible when AsTrend is launched independently of the Asix system application) and to declare the variable selection window performance mode.

Trend file open window

- Use built-in window, which provides trend file content preview;

- Use system selection file window to open trend file.

Operation mode of select items window - in the pop-up window mode, you can add other graphs without closing the variable selection window. You can add graphs by double-clicking

a variable, selecting a variable and pressing the Add button or by dragging variables from the variable selection window to the AsTrend window.

Figure: Program options – Dialog windows.

***

The tab Diagnostics provides information on the license of data server access.

When starting AsTrend with an Asix application, the tab Diagnostics additionally includes the data on parameters passed from the Asix application:

- Don't Allow Writing Trend Files - the option comes from the settings of the AsTrend program (Architekt.exe > Start parameters > Programs > AsTrend > Save lock in AsTrend program: Do not alow saving any files in case of the classic Asix applications or AsixEvo.exe > Stations settings > Data sources > Do not allow saving any files in case of the Asix Evo application; the option has now a higher priority than the setting of a user from AsAudit and entirely prevents the saving operations;

- Grant AsTrend Administrator Rights to Operator;

- Working Directory;

- Variable Definition Database;

When starting AsTrend in a web browser, the tab Diagnostics additionally includes the following data:

- data server addresses;

- variable definition database location;

- license server initialization status;

- license server connection status.

Additionally, the tab Diagnostics includes the data on Aslink (if it is).

Fig. The Window 'Program Options' - the 'Diagnostics' Tab.

Fig. The Window 'Program Options' - the 'Diagnostics' Tab - Parameters Passed from the Asix Application.

Fig. The Window 'Program Options' - the 'Diagnostics' Tab - Parameters of Web AsTrend.

***

The tab Print/PDF allows you to specify the paper size when exporting to PDF.

Fig. The Window 'Program Options' - the 'Print/PDF' Tab.

***

The tab New Trends allows you to set current trend options as default ones for newly created trend files. The mechanism works not only during the continuous operation of AsTrend. If AsTrend starts with the application - the further application restart (and thus AsTrend restart) will recall the default trend options.

To save individual trend options, you have to define these options, then press the button Use Current Trend Options from the window 'Program Options' > New Trend tab. The message 'Current trend options have been stored for new trend files" will appear.

In a similar way, you can save the current layout of the legend as a default one for newly created trend files.

The option Use Built-in Trend Options will activate default built-in AsTrend options.

Fig. The Window 'Program Options' - the 'New Trends' Tab.

***

The tab Colour Palette allows you to compose a default colour palette, according to which the successive graphs will be added to the chart.

Fig. The Window 'Program Options' - the 'Colour Palette' Tab.

***

The tab Warnings includes the list of warnings possible to display - check the warning type you want to display during AsTrend operation.

Trimming of values out of the measurement range - the option activates trimmed values

if they go beyond the measurement range by more than the width of that range.

Fig. The Window 'Program Options' - the 'Warnings' Tab.

***

The tab Chart allows you to set the thickness and colour of reading lines (main and additional) as well as the height of vertical axis of binary chart.

Fig. The Window 'Program Options' - the 'Chart' Tab.


Chart

2.21.1 Chart Type and Labels

The tab Type (AsTrend main window > Chart tab > Chart Type group > the window 'Chart Options' run by the button [image] ) allows you to set:

- Chart Type:

- Draw XT Chart;

- Draw XY Chart - for XY chart the data is retrieved from the archive as uniform data. It is possible to create a chart XY for two types of OY axis: One OY Axis and Many OY Axes. If you choose One OY Axis, the data from first two graphs will be used to create an XY chart. These graphs can not include binary data.

- Draw X Chart.

- Labels on XY Chart - select the content of labels.

- Number of the point of the graph;

- Number of point, time stamp;

- Number of the point, time stamp, the values of samples from three graphs,

- Number of the point, time stamp, the values of samples from three graphs.

zoom in >>

Fig. 'Chart Options' - 'Type' Tab.


Chart Appearance

2.21.2 Chart Appearance

The tab Appearance (AsTrend main window > Chart tab > Chart Type group > the window 'Chart Options' run by the button [image] ) allows you to set:

- Background Colours - specify the colour and gradient for a chart background and a chart panel area background.

- Chart Title - specify visibility of the chart title and the color of chart title.

- Chart in 3D Mode - enable 3D view.

- Margins: distance between the label of a maximum graph value and the top edge of the chart area as well as the distance between the label of a minimum graph value and the bottom edge of the chart.

- Show Chart Even Outside Axis - - turn on this option to be able to draw graphs beyond the chart axes; curves and labels are not trimmed to the chart size (this is useful when the chart line overlaps the horizontal line or is situated on the upper line limiting the chart; also, the chart in the three-dimensional version with the activated option for the drawing beyond the chart axes looks better) - see the example below:

zoom in >>

Fig. 'Chart Options' - 'Appearance' Tab.

zoom in >> 1 2

Fig. Example of Before and After Enabling the Drawing Outside the Axes.


Axes Type and Appearance

2.21.3.1 Axes Type and Appearance

The tab Axes (AsTrend main window > Chart tab > Axes group > the window 'Chart Options' run by the button [image] ) includ es:

- Vertical Axis Type:

- Vertical Axis - Physical

- Vertical Axis - 0-100%

- Many Vertical Axes

- Many Vertical Axes - Stack

- Axes:

- Axes Visible - switch on the axes: OX and OY.

- Colour box - declare the axes colour (this is also the label text colour for both axes).

- Thickness - allows you to set the axis thickness (in the scale 1-5).

- Grid - switch on the grid on the chart and declare the grid format: dotted or solid line as well as the grid collour.

- Many Vertical Axes - Stack:

- Reduced axes of time - all time axes, except the last one, do not contain labels and scale. The option is helpful when the stack chart contains a great number of graphs. It is required that none of the chart graphs uses an additional time period.

Fig. 'Chart Options' - 'Axes' Type.


Physical OY Axis

2.21.3.2 Physical OY Axis

The physical OY axis options are set in:

AsTrend main window > Chart tab > Axes group > the window 'Chart Options' run by the button [image] > Physical OY Axis tab.

Each trend when opened has the axis set in the range consistent with the display range of all graphs. The minimum is the lowest value of minima and the maximum is the highest value of maxima.

You can specify the minimum and maximum:

  • on the basis of the display range,

  • on the basis of the measurement range,

  • on the basis of the lowest/highest,

  • as given arbitrary by the user.

Manually set range will be in force until the next change.

The range calculation consists in determination of the lowest value of minima and the highest value of maxima for all graphs.

In addition, the window allows you to modify the way the labels describing the OY axis are displayed. By editting the default format, you can specify: the number of decimal positions, the number of outputted positions, the character that separates the integers from decimals.

zoom in >>

Fig. 'Chart Options' - 'Physical OY Axis' Type.


Chart Legend

2.21.4 Chart Legend Displayed Next to/Within the Chart Area

Options of the legend displayed in the chart area are set in the following window:

AsTrend > Chart tab > Appearance group > 'Chart Options' window > Legend on Chart tab

Legend Visible - display the legend in the chart area;

Legend Placement - set the legend in the specified location on the chart area:

- Left,

- Right,

- Top,

- Bottom,

- Floating Vertical,

- Floating Horizontal;

Background Color - legend background color;

Border Color - legend border color;

Show Symbols - display a coloured sample of the graph.

zoom in >>

Fig. 'Chart Options' - 'Legend on Chart' Tab.


3D

2.21.3 3D

To switch the chart to 3D version, use the button [image] from:

AsTrend main window > Chart tab > Appearance group.

The tab 3D (AsTrend main window > Chart tab > Appearance group > the window 'Chart Options' run by the button [image] ) - available when the button [image] is pressed - includes the following options:

- use orthogonal mode with the possilibity to define: angle and depth of the chart;

- 3D with full spatial manipulation of the chart area in three dimensions with the possibility to defne

- rotation,

- elevation,

- perspective,

- zoom,

- depth.

- 3D Chart - Colours of Walls - click in the fields: Left Wall, Right Wall or Bottom Wall to edit the colour.

zoom in >>

Fig. 'Chart Options' - '3D' Tab.


Trend Period Options

2.22.1 Trend Period Options

To define trend period options, use:

AsTrend main window > Home tab > Period group > the window 'Period Options' run by the button [image].

The Time Format tab sets:

Time Format for XT Charts - time format for main and additional axis; there is the possibility to use a predefined format or to create its own format. Predefined formats:

• yy-mm-dd hh:mm:ss

• yy-mm-dd hh:mm

• yy-mm-dd hh

• yy-mm-dd

• yy-mm

• mm-dd hh:mm:ss

• mm-dd hh:mm

• mm-dd hh

• mm-dd

• dd hh:mm:ss

• dd hh:mm

• dd hh

• hh:mm:ss

• hh:mm

• mm:ss

A custom format requires to specify the format in the field Main Time Axis or Additional Time Axis. The string yy*mm*dd will output the date separated by '*' instead of '-'.

The length of the additional time axis - under the first option, both axes cover the same calendar period, e.g. 1 day, but the lengths of the axes must absolutely be different if one of the axes contains the summer time or winter time change moment. Under the second option, both axes are of exactly the same length.

Fig. 'Period Options' Window – ‘Period Options’ Tab.

The Period After Opening the Trend File tab allows you to freely adjust the time period that will be loaded at trend opening.

Fig. Trend Period Options.

There are the following variants of the period loaded during trend opening available:

- Like during write,

- Period end equals now,

- Current day, time without change,

- Last used,

- Set in OPC format - the use of OPC format makes it possible to define very precisely the time interval for which you want the data graphs to be charted at trend opening. Both the beginning and end of the period is defined with the use of the editor run by the button 3kropki. The time can be absolute one ar relative one referring to the current second, minute, hour etc.

- The newest series in an AsLogger database;

- Ask me.

zoom in >>

Fig. OPC Time Editor.


Trend Input Data Options

2.22.2 Trend Input Data Options

Trend input data options can be defined in:

AsTrend main window > Data tab > Input Data group > the window 'Trend Input Data Options' run by the button [image].

***

The tab Data allows you to set: data type, sampling period for uniform data as well as round mode of the period beginning for aggregated data:

- Data Type (see: 2.14 Selecting the Data Type (Genuine/Aggregated Data));

- Uniform Data - Sampling Period - the option specifies the length of intervals between points on the chart. If there is the aggregator enabled in the Asix application, then using the interval being multiplication of one minute may considerably improve speed of data collection.

- Round Mode of the Period Beginning for Aggregated Data - rounding to a multiple of the aggregatiorn interval causes, if necessary, the beginning of the data reading period will be shifted so as to be always at the same time. For example, for 15-minute aggregation interval and the period from 0:22:00 to 1:22:0 the period beginning will be withdrawn to 0:15:00. No aggregation causes the aggregated data will be slower displayed - it because they usually will be calculated instead of retreaving from the server and the time stamps of aggregated samples will change when time period shifting or in live mode.

Fig. Trend Input Data Options - Shift Period.

***

The tab Aggregates allows you to set quality thresholds for aggregated data displayed by AsTrend:

- Quality Thresholds for Data:

Good Quality Threshold - an aggregated data has a good quality if the number of good samples in the interval is equal to or exceeds the given threshold of good quality.

Bad Quality Threshold - an aggregated data has a bad quality if the number of bad samples in the interval is equal to or exceeds the given threshold of bad quality.

- Quality Threshold for Calculated Attributes:

Good Quality Threshold - an aggregated data has a good quality if the number of good samples in the interval is equal to or exceeds the given threshold of good quality.

Bad Quality Threshold - an aggregated data has a bad quality if the number of bad samples in the interval is equal to or exceeds the given threshold of bad quality.

Fig. Trend Input Data Options - Aggregates.

***

The tab Shift System allows you to configure shift system. Configuration of the shift system affects the interpretation of OPC interval of 'Shift' aggregate calculation:

- Configuration of a shift system:

- The beginning of the first shift,

- The length of the shift.

Fig. Trend Input Data Options - Shift System.


Trend Appearance Options

2.22.3 Trend Appearance Options

The trend window has a certain group of attributes which determine its appearance. You can turn them on/off and parametrise them by means of relevant buttons on the Ribbon tabs or in the ‘Trend Options’ window, called up by means of the [image] button from the Trend and legend tab of the AsTrend program main window > groups: Trend or Legend.

The trend appearance options are discussed in further chapters by the names of the 'Trend Options' window tabs on which they are provided.


Appearance

2.22.3.1 Appearance

The tab Appearance (AsTrend main window > Trend and Legend tab > Trend group > the window 'Trend Options' run by the button [image] > Chart tab) includes:

- Graph Colour Palette - define colours of graphs with the use of:

- variable colour palette built in the AsTrend program;

- colour palette defined in trend options (one of several pre-defined palettes) or a palette defined by the user.

- Variable Custom Colours - use own colours for variables. If the option is enabled, the newly added graph will remember its colour. Changing the order of graphs in the legend will not change their colours.

- Trend Font.

Fig. Trend Options - Appearance.


Legend_2

2.22.3.2 Legend

The tab Legend (AsTrend main window > Trend and Legend tab > Trend group > the window 'Trend Options' run by the button [image] > Legend tab) includes:

- Legend Background Colour - select a colour from the standard palette or compose your own one.

- Legend Column Width - set automatic fitting of the width of legend columns.

- Column Headers - enable the option of displaying shortened names of calculated attributes.

- Height of the Legend on the Screen - enable the option of automatic legend height calculation depending on the number of graphs or defining the legend height individually by the user with the use of division belt or direct declaration of the number of visible graphs in the legend.

Fig. Trend Options - Legend.


Table

2.22.3.3 Table

The tab Table (AsTrend main window > Trend and Legend tab > Trend group > the window 'Trend Options' run by the button [image] > Table tab) includes:

- The background Color of Table Common Columns - allows you to select a color from the standard colors or compose your own custom color that will be displayed in the background of the table columns that are common to the presented graphs.

- The background Color of Table Panel - allows you to select a color from the standard colors or compose your own custom color that will be displayed in the background of the table panel.

zoom in >>

Fig. Trend Options - Table.


Printout

2.22.3.4 Printout

The tab Printout (AsTrend main window > Trend and Legend tab > Trend group > the window 'Trend Options' run by the button [image] > Printout tab) includes:

Information

- Title - define the title content of the printout.

- Header - define the header content of the printout.

- Footer - define the footer content of the printout.

- Print Trend File Name - enclose the trend file name to the printout.

- Print who created - the option causes the name of the current AsAudit user or the name of the Windows user to be printed if the AsAudit module is not accessible; the option cannot be linked at the same time to the Print the file name option.

Legend Layout

- Print Legend

- Fixed Chart Arrangement

- Legend on Separate Page - when the option is enabled, the legend is printed on a separate page.

- Two Column Legend - when the option is enabled, the legend is divided into two columns on the printout.

Colors of Chart and Legend Backgrounds

- Change Legend and Chart Background Colors to White - it allows switching on the white colour for the chart and key background. This option is important in case of colour printouts because, in case of black and white printouts, these are always printed in the colour of white.

Fig. Trend Options - Printout.


Colour Palette

2.22.3.5 Color Palette

The tab Colour Palette (AsTrend main window > Trend and Legend tab > Trend group > the window 'Trend Options' run by the button [image] > Color Palette tab) includes:

- predefined color palettes

or

- possibility of customer palette creation using the option <Trend Own Palette> and defining the color of coloured squares.

The tab available when the option Use the Colour Palette from Trend Options from the Appearance tab is selected.

Fig. Trend Options - Colour Palette.


Trend Window Options

2.22.4 Trend Window Options

Trend window options are defined in:

AsTrend main window > View tab > Window group > the window 'Trend Window Options' run by the button [image].

Trend window options includes: window size and position, window size block and storing window layout.

- No restore - the option does not cause the window size to be restored while opening
the trend definition file.

the trend definition file.

- Restore - if restoring is on, the window position and size are saved

in the trnx file. When the trend file is opened up, the window position and size are restored without preventing the possibility to further change the window sizes.

- Restore and block change of size of the main window - if restoring is on, the window position and size are saved in the trnx file. When the trend file is opened up, the window position and size are restored with the possibility to further change the window sizes being prevented.

- Window Size and Position - the option is in force when you blocked the window size (Window Size Block).

NOTICE: Window size and position are ignored - if the option of ignoring the window size is enabled in program options and the trend file is opened in AsTrend started without the Asix application.

- Storing Window Layout - if the option is enabled, the window size and position are stored in the trend file and restored while trend opening.

Fig. Trend Window Options.


Graph Options

2.23 Graph Options

The graph options are specified using:

AsTrend main window > Graph tab > Graph group > the window 'Graph Options' run by the button [image].

NOTICE: Tabs of the window may vary slightly depending on the data types of graphs (see: 1.8 Data Types of Graphs).

***

The tab Graph Attributes allows you to specify:

- Graph Attributes

- Graph Name,

- Unit,

- Description.

- Display Range,

- Measurement Range;

Graph name - is a symbolic name of the graph; the graph name can be edited by the user.

Fig. Graph Options - Attributes.

- Display Range - display range is used for scalling the physical axis and the axis of individual graph on Many OY Axes chart (notice: you have to set the options Minimal Displaying Range and Maximal Display Range as the minimum and maximum in the physical OY axis settings: AsTrend main window > Chart tab > Axes group > 'Trend Axes Options' window activated by the button [image] > Physical OY Axis tab). The range 0-0 means the absence of display range - then the physical axis range will be calculated based on the current values of the samples.

Notice: for scaling physical axis the display ranges of all the graphs are taken into account, for example: minimum can be set on the basis of the least one from minimal values defined for graphs and maximum on the basis of the highest one from maximal values. If not all of the graphs have ranges defined, the range is determined automatically.

- Measurement Range - measurement range is used for checking correctness of graph sample values; the values of samples that exceed the graph range by the number equal to the graph range are cut off. The range 0-1 for total value Asix system variable means that the variable is treated as a binary value.

The measurement range may also be used for scaling the physical axis (notice: you have to set the options Minimal Measurement Range and Maximal Measurement Range as the minimum and maximum in the physical OY axis settings: AsTrend main window > Chart tab > Axes group > 'Trend Axes Options' window activated by the button [image] > Physical OY Axis tab).

Notice: for scaling physical axis the measurement ranges of all the graphs are taken into account, for example: minimum can be set on the basis of the least one from minimal values defined for graphs and maximum on the basis of the highest one from maximal values. If not all of the graphs have ranges defined, the range is determined automatically.

***

The tab Data allows you to:

- enable the additional time axis connected with the specified variable; if one or more graphs use the additional period of time: the second axis of time is displayed above the chart, possibility of editing additional period appears in the period editor;

- select the graph data type;

- select the type of aggregation function used to calculate raw data;

- declare the way the data (points) with uncertain quality are treated (as points with good quality or as points with bad quality).

Fig. Graph Options - Data.

A time period for the additional time axis is set by the button [image] which runs the window 'Period' (AsTrend main window > Home tab > Period group).

The period beginning of the additional time axis is defined in the OPC format (see: 2.15.6 OPC Time Editor).

zoom in >>

Fig. The Window with the Option for Defining the Additional Time Axis.

To compare graphs of the same variable from two different time periods, add the variable to the chart twice, assign the additional time axis to one of the graphs and declare a time period for the additional OX axis. When only one graph uses the additional time period, the additional OX axis is drawn in the colour of the graph.

***

The tab Chart enables:

- chart type selection: line, bar or area;

- setting stairs interpolation (with the possibility of reverse charting - the option Interpolate with Value on the Left From the Point) - for line and area charts;

- setting the width and offset of bar - for bar charts;

- setting the base line position for area charts;

- setting graph limit lines turning on the option causing the graph limits to be displayed on the line chart; after turning on the additional Use own limits option, the user can set up one's own limit values which will be saved in the trnx file.

Fig. Graph Options - Chart.

The option For All Grpahs allows you to apply settings for all graphs displayed on the chart.

***

The way the vertical axis is displayed on the chart, you can define on the tab Vertical Axis (for charts with many OY axes) - the parameters are set for one selected variable or for all the variables simultaneously:

- Vertical Axis Position - Chart with Many OY Axes:

- On the Left Side of the Chart - axis can be positioned on the left side of the chart;

- On the Right Side of the Chart - axis can be positioned on the right side of the chart;

- Hidden - allows hiding the OY axis of the graph;

- Vertical Axis Position Chart with Many OY Axes - Stack:

- Axis Always on the Left Side - axes can be positioned always on the left side of the chart, separately for each graph;

- Axis on the Left or Right Side - axes can be positioned on the left or right side of the chart; graphs of variables adjacent in the legend can be charted two on a single chart - then one graph will have the axis on the left side and the second graph on the right side. For example, if 8 graphs have the option checked, it will be 4 charts (one above the other).

- Axis Scale Type:

- Linear,

- Logarithmic - axis can be logarithmic only when the minimum and maximum is greater or equal to zero..

- Inverted Vertical Axis - option has a sens only for charts with the proportional axis or with many OY axes,

- Labels Format (charts with the proportional axis or with many OY axes).

Fig. Graph Options - Vertical Axis.

***

The tab Graph Options includes:

- Appearance - show points, labels; set line width; set transparency; hide graph on the chart; use custom colour for a graph; set 3D graph depth;

- Gradient - set gradient scale (it darkens or lightens the gradient); set gradient balance (it shifts ht ebalance up or down).

- Font Options - set custom forn in the legend.

- Visibility - hide graphs on all charts or indicate those charts on which graphs are to be visible.

Fig. Graph Options - Appearance.

***

The tab Value Format includes:

- Values Format - set values format as calculated on the basis of display range or as the custom one.

- Display Aggregate Total as Time - data aggregated by the function 'Total' is displayed using the time format: d h:mm:ss

- Measure Period of the Graph - is used to calculate aggregates Total(value divisor) and Gradient(value multiplier).

Fig. Graph Options - Value Format.

***

The tab Value Labels includes the editor to define text labels of values. These labels are used instead of numeric values:

- on the chart: hints and point labels;

- in the legend: Sample Value of Read Line 1/2 columns;

- on the vertical axis in case of 'Proportional Axis' and 'Many OY Axes' charts; for physical axis the labels are displayed only if they are the same for all the graphs;

For floating-point values the labels corresponding to the rounded integer values are displayed.

Use own value labels - if the option is turned on, the value lavels for the specific graph will not be reloaded from the base after a change of the AsTrend program language, an aggregate or after calling up the attribute update function. The option is important for the graphs: "Asix – Raw data", "Asix – Aggregated Data", "Asix – Bits of Data", "Asix Archive File", "External Data". The value labels are never loaded from the base for the remaining graphs.

Fig. Graph Options - Value Labels.

***

The tab Pattern Graphs allows you to add one or two pattern graphs to the chart for the displayed analysed graph. Adding two pattern graphs gives the effect of 'band chart' - useful to show the operator the expected shape of the graph.

Pattern graphs can be added from:

- Asix application: pattern graphs are defined using the PEdit program and stored in an SQL archive; see more information: PatternTrends.CHM/PDF

- external sources: pattern graphs are defined in text files, spreadsheets or database; the format of patterns is the same as for external data; see information on external data format pressing the button Add Pattern Graph from External Source - the dialog window will appear.

Fig. Graph Options - Pattern Graphs.


Graph Data Source Options

2.28.1 Graph Data Source Options

Options allow you to select graph data type (including an aggregate used to convert raw data), select an archive from which data are read or replace a graph variable.

AsTrend > Graph tab > Graph Operations group > Graph Data Source Options button > Data Source - Asix Variable Graph window

Fig. Graph Data Source Options.


Data Export Options

2.24 Data Export Options

The data export options are set in:

AsTrend > Data tab > Export of Data group > 'Data Export Options' window run by the button [image].

zoom in >>

Fig. Data Export Options.

The window allows you to set the following parameters to export data to the clipboard or text file:

- Header - can declare one or two-line header and set unit and aggregate at names of the variables;

- Genuine Data - samples arranged according to the timeline or one after the other; can declare a common time column for the genuine data;

- Quality Columns - the ability to add the quality column and declare its format;

- Uniform data - can declare the common time column for uniform data.


Reading Trend Definition

2.25 Reading the Trend Definition

To read trend definition:

  • use the button Open [image] from File menu to read a stored trend/report definition. The read definition replaces the so-far used one.

The trend definition contains:

  • names of the charted variables

  • trend period

  • curve attributes (colors, chart types, labels etc.)

  • window attributes (window appearance)

  • print-out parameters (title, header, footer).

zoom in >>

Fig. The Window for Trend Definition Reading.

The period displayed on the screen may be modified in relation to a period stored in a trend definition. If you set the mode with asking the user for the to-be-displayed period - each time a new trend definition is open, the dialog window will be displayed.

Trend definitions are stored in XML files. Trend definition may be read-in automatically during the program startup if name of such a file will appear as argument of the program calling command.

There is a parameter that allows you to specify the type of window to open AsTrend trend/report files (with or without an option to preview the contents of a trend/report). This parameter is available only for AsTrend run without an Asix application:

AsTrend > 'Program Options' window > Trend File Open Window tab

uwaga For AsTrend started with the classical Asix application in the 'administrator or operator' mode:

The window 'Opening' displays as well - but - please note that the user with operator privilege can read trend files only if the directory for trend definition files is declared in the operator action opening AsTrend - it is because the operator can open the files only from a given directory and its subdirectories.

For classical Asix application you can set the option starting AsTrend with the Asix application, including indication of a directory with trend definition files (without using the operator action ASTREND):

Architekt > Start Parameters > Programs > AsTrend > Start AsTrend

In the operator window it is not possible to go to any directory in the field Search in: as well as to delete the file of read-only type.

Both the administrator and operator do not have the ability to delete files when write lock was imposed on these files (the option set in the Architect module: Fields and Computers > Start Parameters > Programs > AsTrend > Do not allow saving any files).


Printing Trends

2.26 Printing Trends

The trend displayed in the AsTrend window can be printed. There are some functions run form a File menu related to printing trends:

  • Print Preview [image] ;

  • Print [image] .

Printouts include:

  • chart area;

  • legend;

  • title,

  • header,

  • footer.

All these parameters are visible in print preview and can be set in the trend parameter window:

AsTrend main window > Trend and Legend tab > Trend group > the window 'Trend Options' run by the button [image] > Printout tab.

Print Trend File Name - print the file name in the footer of a trend; by default, the option enabled.

zoom in >>

Fig. Trend Options - Printout.


Printout Preview

2.26.1 Print Preview

To pre-view printout on the screen before printing, use:

  • the command Print Preview [image] from the File menu.

Depending on the selected printer, the printout will be black&white or colored. In the former case all colors will be automatically translated into a gray scale. Buttons in the preview window make possible to scale the printout in several different ways (fit to window, 100% size as on the printer, fit to page width etc.), to configure some printer options, as well as to start printing.

zoom in >>

Fig. Print Preview.


Printing

2.26.2 Printing

To start printing, use:

  • the command Print [image] from the File menu.

In the operator mode - after the command is called, the simplified window of printer selection opens.


Printing Trends with More than 8 Graphs

2.26.3 Printing Trends with More than 8 Graphs

In the case when more than 8 graphs are to be printed in one trend, the option Two Column Legend should be set:

AsTrend main window > trend and Legend tab > Trend group > the window 'Trend Options' run by the button [image] > Printout tab

zoom in >>

Fig. Print Printout.

When printing a chart of more than 8 graphs with the one column legend, the following message will display:

Fig. Warning When Printing a Chart of 8 Graphs with the One Column Legend.


Closing Displayed Trend / Creating New Trend

2.27 Closing a Displayed Trend / Creating a New Trend

To close the currently displayed trend, use:

  • one the commands New... from the File menu;

It removes from the scrren an old trend and displays a blank area of a trend to be edited.

.


Saving Trend Definition

2.28 Saving the Trend Definition

A trend definition can be saved using:

  • the button Save [image] and Save As... from the File menu.

The save function works differently in the Operator mode than in Administrator or Full modes (AsTrend run without an Asix application).

***

When AsTrend is started without the Asix application, TRNX files are stored in the user's document directory.

In Operator Mode (see: 1.4 Privilege System of AsTrend Run with an Asix Application)

Trends qualified by an Administrator as read-only can not be modified by Operators. An attempt to do so will generate warning message:

Fig. The Error When Trying to Write a Read-Only Trend By the Operator.

However, Operator may save the trend under a new filename or save a new trend.

zoom in >>

Fig. The Window 'Saving As' for the Operator.

Trends are stored in TRNX files.

uwaga When AsTrend is started with the Asix application, it should be called from the application menu instead of from the Windows system bar. AsTrend run from the tray has limits on the file operations: the Operator can not save files, because there is no directory declared, where the file could be saved.

The Operator has the ability to save a new trend or modified trend under a new name - only if AsTrend has been run with a working directory for storing trend files - there is a directory declared in:

- operator action of opening AsTrend from an Asix application window;

- the option Work Directory in: Architekt program > Fields and Computers > Start Parameters > Programs\AsTrend tab.

In Administrator Mode (see: 1.4 Privilege System of AsTrend Run with an Asix Application)

The administrator can create new trends with Read_only status.

zoom in >>

Fig. The Window 'Saving As' for the Operator.

Administrator may also modify each existing trend definition regardless of its status. Each attempt to overwrite any existing trend file will generate the following warning message:

Fig. The Error When Trying to Modify an Existing Trend File by the Administrator.

If the to-be-overwritten file is read-only, another warning message will follow:

Fig. The Message When Trying to Modify an Existing Trend File with the Status Read_Only by the Administrator.

The read_only status means that the trend definition is a pattern trend that should not be modified.


Exporting Trend / Graph / Historical Data Table

2.29 Exporting the Trend / Graph / Historical Data Table

AsTrend allows you to export:

- whole trend (the chart with the legend and printout informations) to PDF, BMP file,

- chart with the legend to BMP file / Clipboard,

- only the legend to Clipboard, text, HTML or XLSX file,

- data of selected graph/graphs to CSV file, Clipboard,

- historical data table to Clipboard, text, HTML or XLSX file,

- report to text, HTML, XLSX file.

***

The whole trend export (chart, legend and printout data) to PDF file is performed with the use of: Export To PDF [image] from the File menu.

The additional information (title, header, footer, print trend file name as well as legend layout or the name of the user printing out the document) are set in:

AsTrend main window > Trend and Legend tab > Trend group > the window 'Trend Options' run by the button [image] > Printout tab.

Fig. The Trend Exported to PDF File.

***

The chart export with the legend to clipboard / BMP file is performed with the use of: Copy to Clipboard [image] , Save to BMP File [image] from:

AsTrend main window > Chart tab > Chart Export group.

zoom in >>

Fig. The Chart Exported to BMP File.

***

The legend export to clipboard / text, HTML, XLS file is performed with the use of: Copy to Clipboard, Export to Text File, Export to HTML File, Export to XLSX File from:

AsTrend main window > Trend and Legend tab > Legend Operations group > the button Export Legend [image] (the drop-down list allows you to select the format you want the legend to be exported to)

zoom in >>

Fig. The Legend Exported to HTML File.

zoom in >>

Fig. The Legend Exported to XLS File.

***

The selected graph/graphs export to CSV file, Clipboard is performed with the use of: Copy to Clipboard [image] , Export to CSV [image] from:

AsTrend main window > Data tab > Export of Data group.

The window 'Data Export Options' allows you to specify the data export parameters. The window is available from:

AsTrend main window > Data tab > Export of Data group > the window 'Data Export Options' run by the button [image].

The data export parameters:

- Header - declare one or two line header and place units / aggregates near variable names;

- Genuine Data - arrange samples of each graph according to its own timeline or a common timeline;

- Quality Columns - add quality columns and set their format;

- Uniform Data - declare common time column for uniform data.

zoom in >>

Fig. Data Report Options.

zoom in >>

Fig. The Data Exported to the CSV Format (Samples One-by-One).

***

The historical data table export to Clipboard, text, HTML or XLSX file is performed with the use of: Copy to Clipboard, Export to Text File, Export to HTML File, Export to XLSX File from:

AsTrend main window > table view of historical data > Home tab > Table of Historical Data group > the button Table Export

zoom in >>

Fig. The Historical Data Table Exported to a HTML File.

zoom in >>

Fig. The Historical Data Table Exported to an XLS File.

***

To export an AsTrend report to a text, HTML or XLSX file, use the commands: Export to Text File, Export to HTML File, Export to XLSX File from:

AsTrend main window > view of report > Report tab > Report Operations group > the button Export

***

Export to .txt, .csv files or a clipboard is realized in the form of values separated by separator characters (but, tab delimiters are used for the clipboard). The data are arranged in columns containing successively: time, variable value. Each variable has its time/value columns - except in the case of uniform data (constant time interval between successive samples) - for which it is possible to set a common column of time. Time is exported in the system format (’2008-02-20 16:48:22’). Additionally, for alarm graphs and external values the time column contains milliseconds.

.


Context Menus

2.30 Context Menus

You can right-click the chart area, legend, table of values and clipboard window to display a context menu.

The chart area context menu options include:

  • New Graphs - Asix - Raw Data - add a new raw variable to the chart,

  • Graph Options - run the window 'Graph Options',

  • Graph Data Source Options - run the window 'Data Source - Asix Variable Graph',

  • Graph Attributes - display a variable card with all attributes declared,

  • Graph Location - move the selected variable to the chart 1,2,3 or 4.

  • Select All Graphs - select all the graphs in the chart,

  • Remove Selected Graphs - remove a selected variable from the chart,

  • Chart Parameters - run the window 'Chart Options',

  • Trend Parameters - run the window 'Trend Options'.

Fig. The Chart Area Context Menu.

The legend context menu options include:

  • New Graph - Asix - Raw Data - add a new raw variable to the chart/legend,

  • Copy - copy a selected variable raw and then paste a copied variable raw,

  • Remove Selected - remove a selected variable from the chart/legend,

  • Replace with Empty - remove a selected variable from the chart/legend and enter an empty raw to the legend instead,

  • Hidden - hide a graph,

  • Graph Location - move the selected variable to the chart 1,2,3 or 4.

  • Select All - select all the graphs in the chart/legend,

  • Move Up - move one variable line up,

  • Move Down - move one variable line down,

  • Graph Options - run the window 'Graph Options',

  • Graph Data Source Options - run the window 'Data Source - Asix Variable Graph',

  • Graph Attributes - display a variable card with all attributes declared,

  • Points - enable displaying measurement points on the chart,

  • Labels - enable displaying labels of measurement points on the chart,

  • Legend Columns - run the window 'Legend Column Selection',

  • Legend Options - set legend options;

Fig. The Legend Context Menu.

The legend caption context menu options include:

  • Show Description - display the window with the attribute description,

  • Change Caption - change the text of the caption,

  • Select Legend Columns - select the legend columns to be displayed,

  • Legend Options - run the window with the legend option parameterization,

Fig. The Legend Caption Context Menu.

The context menu options for the table of current values include:

  • displaying the "Graph Options" window,

  • displaying the window with information about the source and type of the graph data,

  • Single Time Column - display a single time column,

  • Quality Columns - display a quality column,

  • No Cursor Binding - activate the option thanks to which changing the active raw in the table will not change the read line position,

  • Bind Cursor to Main Read Line - activate the option thanks to which changing the active raw in the table will change the main read line position,

  • Bind Cursor to Additional Read Line - activate the option thanks to which changing the active raw in the table will change the additional read line position,

  • Samples by Timeline - range the samples by timeline,

  • Samples One by One - range the samples one by one,

  • Data Table - close the table of current values;

Fig. The Context Menu for the Table of Current Values.

The context menu options of period clipboard include:

  • Copy to Clipboard - copy a current time period to the clipboard,

  • Paste form Clipboard - paste a time period from the clipboard,

  • Empty Clipboard - delete all the time periods saved in the clipboard,

  • Periods Clipboard - close the period clipboard window.

Fig. The Period Clipboard Context Menu.


Period Clipboard

2.31 Period Clipboard

Periods Clipboard is a very useful tool that helps to analyze trends. It is particularly handy if a user wants to compare the analyzed trend with another one (perhaps somehow related) without storing the first one. Clipboard is a kind of cache memory, in which various interesting periods may be stored to be later used. Clipboard capacity is limited by the system memory only.

Clipboard contents may be browsed in the Periods Clipboard window shown below. Each stored period is described with: Period Start, Period End, Main Read Line, Additional Read Line and Description parameters.

Period Clipboard is run by the button [image] from:

AsTrend main window > Home tab > Period group

Fig. Period Clipboard.


Clipboard Functions

2.31.1 Clipboard Functions

Run Period Clipboard

Use:

AsTrend main window > Home tab > Period group > the button

or

AsTrend main window > View tab > Panels group > the button

The period clipboard window is always displayed on top. Its closure does not delete the contents of the clipboard. Storage capacity is not limited. In the case of large contents one can enlarge the window or move along its content using the slider.

Savie a time period

An interesting period is saved when you click on the button Copy to Clipbard [image] from:

AsTrend main window > Home tab > Period group

The second way is to use the command Copy to Clipbard [image] from the context tab Period Clipboard displayed in the main AsTrend window when the clipboard window is opened.

Paste a time period from the clipboard

An interesting period is pasting to the chart when you click on the button Paste from Clipboard [image] from:

AsTrend main window > Home tab > Period group

The command inserts the last saved time period or the period selected in the period clipboard window (in the second case the period clipboard has to be opened at the moment of pasting operation).

The second way to paste a time period from the clipboard is to double-click on an interesting period in the period clipboard window.

The third way to paste a time period from the clipboard is to use the command Paste from Clipboard [image] from the context tab Period Clipboard displayed in the main AsTrend window when the clipboard window is opened.

Delete a time period from the clipboard

The period can be removed from the clipboard window by pressing the button [image] or Delete key, after the period is to be deleted has been previously selected in the window.

Empty the period clipboard

Clear the entire Period Clipboard contents using the button Empty Clipboard [image] from the context tab Period Clipboard displayed in the main AsTrend window when the clipboard window is opened.

Edit the period description

You can edit the description field of a selected time period by click in the field. After entering the description text, press Enter key.

Other fields can not be modified.

Anchor the period clipboard window in the trend window

The clipboard window can be anchored in the trend window. That means fitting into the chart area, in such a way that instead of chart area the clipboard window is visible. The chart area is then covered by the clipboard, but you can switch over two viewes using the tabs Chart/Period Clipboard.

You can anchor the clipboard window by dragging the window into the chart area.

You can back to independent shape of the clipboard window by dragging the Period Clipboard tab over the legend area.

You can back to independent shape of the clipboard window placed over the chart area by dragging the Period Clipboard tab over the chart area while pressing Ctrl key.

zoom in>>

Fig. The Anchored Period Clipboard Window.


0-100% Percent Scale

2.32 0-100% Percent Scale

To facilitate comparing of variables of different value ranges, all variables may be charted at the chart vertical axis expressed in percents. 0% corresponds to the lowest value of the variable, 100% - to the highest value. The appropiriate range should be set individually or retrieved from database of variable definitions. Otherwise the axis percents will correspond to the range of displayed values.

To enable the percent scale, use:

  • the button [image] from:

AsTrend main window > Chart tab > Axes group

In this mode:

- the variable selection results in charting the value axis appropriate for the specified variable in the colour of the variable on the right side of the chart;

- the proportional / percent axis is drawn on the left side of the chart;

- reading values by the read line or mouse cursor indicates genuine data, not percent values;

- when more than a single curve is charted with percent axis turned on, the regular axis for the selected curve is displayed in the color of that curve;

- double-click oudside the chart area removes the regular axis form the chart area;


Handling the Table of Current Values

2.33 Handling the Table of Current Data

The table of current data is a collection of coordinates of points charted within the chart area. The table is activated with the use of the button Data Table [image] from:

AsTrend main window > View tab > Panels group

All measurement points corresponding to variables of the chart are displayed in table lines. If the number of rows exceeds the number possible to display in the window, the right side slider appears sampling method.

If the sampling method available with a fixed sampling period has been chosen, the number of measurement points is the same for each variable.

After opening the table of current values in the AsTrend main window, the additional context tab with commands is available:

- Single Time Column [image] - switch on table view mode with one common time column and many value columns.

- Quality Columns [image] - switch on table view mode with quality coumns;

- No Binding [image] - change of active row in the table will not change the position of read line;

- To Main Read Line [image] - change of active row in the table will result in changing the position of main read line; the option is relevant only if the main read line is active;

- To Additional Read Line [image] - change of active row in the table will result in changing the position of additional read line; the option is relevant if the additional read line is active.

- Samples by Timeline [image] - activates a variant in which all the samples of graphs are arranged according to the time axis;

- Samples One by One [image] - activates a variant in which all the sample of graphs are arranged one after the other;

- Data [image] - display informations on data types in the table and how the data is displayed;

- The Background Color of Table Common Columns [image] - set the color for No. and single Time columns;

- The Background Color of Table Panel [image] - set the color for the table panel;

zoom in >>

Fig. The Table of Current Values.

If the reading line is active in the trend window, then moving it will cause a selected line corresponding to it in the table to move (with the additional possible movement of the scroll bar to ensure that the selected line is always visible). A change of the position of the selected line (caused by a click of the mouse in a specific row) will respectively cause its reading line to be repositioned in the chart area.

The table of values can be saved to a file by means of the Export of Data command accessible on the Data tab of the AsTrend program main window > in the Export of Data group. The data will be saved to a CSV file.

Docking of the table window in the trend window

In addition, the table can be 'docked' in the trend area which means that it can be fit into the trend window above, below, to the left of, to the right of or in the place of the chart area (the table window is visible instead of the table window). In the last variant, the chart area is covered by the table but you can still switch between the chart - table views using the Chart / Table tabs.

- The 'docking' of the table window is performed by dragging the table into the chart area and fitting it into the displayed graphic scheme of the arrangement of windows.

- To go back to the 'independent' form of the table, drag the Table tab beyond the chart area.

- To go back to the 'independent' form of the table suspended over the chart area, drag the Table tab over the chart area while keeping the Ctrl button pressed.

Fig. Effect of the 'docking' of the current value table window.

The arrangement of windows is automatically saved in the AsTrend program when you exit the program - but you can also save the status of windows for the trend file: the View tab of the main window of AsTrend > Windows Size Restore group > ‘Trend Window Options’ window activated by the [image] button > Storing windows and panels layout option.

The Reset Panel Composition [image] panel docking arrangement reset command is provided on the View tab of the AsTrend main window > in the Panels group.


Handling the Table of Historical Values

2.34 Handling the Table of Historical Data

The mode of historical data table is run by the command Historical Data Table Mode [image] from File menu.

You can back to the standard view by the same command Historical Data Table Mode [image] from context tab View of historical data table mode.

The mode of AsTrend operation is saved in a *.trnx file by the administrator. When the file is opened by the operator, AsTrend will be run in the table view with all the variables and columns defined.

To create the file with the table of historical data defined, you have to log in as the AsTrend administrator, activate the mode of historical data table, open the variable definition database and add variables. Use empty rows for more transparency. You can change the sequence of variables by drag-and-drop operation. The administrator selects columns to be desplayed in the table with the use of the button [image].

To export the table of historical data to clipboard, text/HTML/XLS file, you have to use the commands: Copt to Clipboard, Export to Text File, Export o HTML File, Export to XLSX File from:

AsTrend main window > Home tab > Table of Historical Data group in historical data table mode.

zoom in >>

Fig. The Table of Historical Data - Home Tab.

***

To change view options, you have to use the context tab View from AsTrend main window in historical data table mode. The tab allows you to specify the colours of the table and the table font size.

zoom in >>

Fig. The Table of Historical Data - View Tab.


Running the New Report Window

2.35.1 Running the New Report Window

To switch AsTrend to the report mode, use one of the following commands from the File menu:

New Report - run window of a new report;

New Report - From the Current Trend - run window of a new report based on the data from the current trend.

It will display the window in one of the two following forms (depending on the command used), with the Report tab added.

zoom in >>

Fig. AsTrend - the Empty Report Window.

zoom in >>

Fig. AsTrend - the Report Window Created on the Basis of the Current Data.


Adding/Removing Variables to/from the Report

2.35.2 Adding/Removing Variables to/from the Report

Before reading the values of variables, based on which the report will be built, it should be indeicated the database of variable definitions - see: 2.12 Selecting Variable Definition Database from the Asix System / OPC Server.

To add the graph data of the variable to the report, use the commands from the Report tab > New Graph group:

Asix - add a graph of aggregated data from Asix application,

Calculated - open the window that allows adding variable calculated on the basis of other variables with use of a given expression;

AsBase - opens the ‘Connect with AsBase module database’ window which enables adding a variable from the AsBase application to the report;

Reamaining Graphs

External Data - add a variable data from external files;

OPC - UA Server - causes variable values to be loaded from the OPC UA server; the option is available under the extended licence of the HASP key of the Asix package;

OPC-HDA Server - add a variable data from OPC-HDA server; the option available with extended license of Asix HASP key;

***

To remove the graph data of the variable, use the command from the Report tab > New Graph group:

Remove Selected - clear the currently selected variable.

The following figure shows the 'raw' report, which should be parameterized by the needs.

zoom in >>

Fig. AsTrend - a Simple Not Parameterized Report.


The Report Parameterization / Report Options

2.35.3 The Report Parameterization / Report Options

The report parameterization in AsTrend includes the type and data period as well as the set of parameters that affect the aesthetics of the report.

It is essential to determine what type of report you want to have to deal with - for example, whether it will be a daily report by hours, a shift report by hours or maybe some other report defined according to your own needs.

To determine the type and report data period, you should use the following commands from the Report tab > Type and Period of Report Data group:

- select the report type; available types:

Annual report by month

Annual report by decade

Annual report by week

Annual report by day

Quarterly report by month

Quarterly report by decade

Quarterly report by day

Monthly report by decade

Monthly report by day

Monthly report by hour

Weekly report by day

Weekly report by hour

Daily report by hour

Shift report by hour

Unrestricted report - choosing this type displays additional fields: Date and Time.

Depending on the report type the following additional fields are displayed:

, [image], [image], [image], [image],

, [image], [image].

Backward by Period - move backward by a period;

Forward by Period - move forward by a current period;

To the End of Data - move to the end of a data (the last data).

***

To determine the report appearance, you should use the following commands from the window 'Report Options' run by the button Options from Report tab > Report Operations group.

The window 'Report Options' includes the parameters groupped on three tabs.

1. Appearance tab:

Font

- Font Name

Content

- Text Size

- Odd Rows (text and background color)

- Even Rows (text and background color)

- Time column width;

Labels of Summary Rows

- Summary Label 1

- Summary Label 2

- Summary Label 3

- Summary Label 4

- Summary Label 5

Header

- The Height of the Header Row

- Text Size and Color (and bold option)

- Background Color

Summary

- Text Size and Color (and bold option)

- Background Color

Grid Lines

- Lines

- Color

Fig. The 'Report Options' Window - 'Appearance' Tab.

2. Summary tab:

Labels of summary rows- texts in summary rows;

Fig. ‘Report Options' window - 'Summary' tab.

2. Page Layout tab:

Paper

- Orientation

- Size

- Center Report on the Page

Margins

- Headre Height

- Margins (left and right)

- Footer Height

Fig. The 'Report Options' Window - 'Page Layout' Tab.

3. Page Appearance tab:

Report Title

- Title Text

- Text Size and Color (and bold option)

- Alignment on the Page

Page Header

- Logo - BMP file loaded by the button Select and removed by the button Remove

- Header Text

- Text Size and Color (and bold option)

- Bold - it makes the report header text bold;

- Print a line below the header;

Page Footer

- Footer Text

- Text Size and Color (and bold option)

- Print Page Number

- Print the File Name - the option causes the name of the current AsAudit user or the name of the Windows user to be printed if the AsAudit module is not accessible; the option cannot be linked at the same time to the Print who created option;

- Print who created;

Fig. The 'Report Options' Window - 'Page Appearance' Tab.

***

To preview the report, you should use the command Print Preview [image] from the Report tab > Report Operations group.

***

To preview the right edge of the report page, you should use the command Show Page Edge [image] from the Report tab > Report Operations group.

zoom in >>

Fig. The Report Preview.


Exporting the Report

2.35.4 Exporting the Report

To export the AsTrend report, you should use the command Export [image] from the Report tab > Report Operations group. It allows to export report to one of the following formats: text file, HTML, XLSX.


Adding New Summarizing Aggregates to the Report

2.35.5 Adding New Summarizing Aggregates to the Report

To add new summarizing aggregates to the report, run the window 'Graph Options' by double mouse right button click in the report table, and then go to the Report tab. There are fields for declaration of max 5 aggregates summarizing table rows in the report.

zoom in >>

Fig. The 'Graph Options' Window - 'Report' Tab.

You can define the precision of the velues in the summery rows. This is provided

by the Precision field.

Conditional formatting allows you to define up to 5 conditional formats which make the value display mode subject to the actual condition (the set of the selectable conditions has been pre-defined).

Fig. Report summary cell conditional formatting window.


Conditional Formatting

2.35.6 Conditional Formatting

To apply the conditional formatting of the report cells, it is necessary to set up the formatting parameters in the "Graph options" window on the Conditional formatting tab. The graph option window offering a possibility to format report cells is called up (in the AsTrend working mode including the report) by means of the [image] button on the Graph tab, in the Graph group, or by double-clicking the report area on the report area in a cell with a variable value.

You can format all data cells by using different colours or icons or by formatting selected data cells depending on a pre-defined condition.

Formatting all cells

Fig. The "Graph options" window - conditional formatting.

Formatting of all cells / Data bar - the formatting adds a data bar to each variable value cell. The bar length represents the value in the current cell and is proportional to the minimum value and the maximum value within the range in which the variable is displayed.

Fig. The "Graph options" window - conditional formatting - Data bar.

Formatting of all cells/ Color scale - the formatting sets up a colour of the background in each variable value cell. The background colour represents the value contained in the current cell and is adequate to the minimum value and the maximum value of the range within which the variable is displayed (where Color for minimum corresponds to the minimum value of the range, Color for maksimum corresponds to the maximum value of the range and the intermediate shades correspond to the current values of the variable in the cells.

Fig. The "Graph options" window - conditional formatting - Scale of colours.

Formatting of all cells/ Icon set - the formatting adds an icon to each cell. The appearance of the icon represents the value range to which the value in the specific cell belongs. You can choose one of several icon sets or create your own set of icons, modifying a selected set by individually selecting icons among all icons included in the pre-defined sets. For each graph, you can provide from 3 up to 5 icons and define from 2 to 4 thresholds determining the icon to be used (the number of the icons and thresholds depends on the selected predefined set of icons).

Fig. The "Graph options" window - conditional formatting - Set of icons.

Formatting of selected cells

The formatting adds the provided attributes to selected cells in which the value fulfils a pre-defined condition. The accessible attributes are: background colour, font colour, font style. You can declare up to 5 conditions for one report. The list of the accessible conditions has been pre-defined and includes the following items:

- Value is empty,

- Value is not empty,

- Value between,

- Value not between,

- Value equal,

- Value not equal,

- Value greater than,

- Value greater or equal,

- Value less than,

- Value less or equal.

Fig. The "Graph options" window - conditional formatting of selected cells.


Changing the Colour Palette

2.36 Changing the Color Palette

There is the possibility in AsTrend to define a default colour palette. Successive curves added to the trend will be assigned successive colors from the palette. The palette can be defined in the program options or in trend options.

Define your own color palette in trend options

Use the tab Color Palette from:

AsTrend main window > Trend and Legend tab > Trend group > the window 'Trend Options' run by the button [image].

The tab Color Palette is available when the option Use the color palette from trend options is set on the tab Appearance.

Fig. The Window 'Trend Options' - Appearance.

The Color Palette tab allows you to:

- select a predefined color palette

or

- create own palette.

zoom in >>

Fig. The Window 'Trend Options' - Color Palette.

Define your own color palette in program options

Use the tab Color Palette from:

File menu > Program Options command > Program Options window.

The Color Palette tab allows you to:

- select a predefined color palette

or

- create own palette.

Fig. The Window 'Program Options' - Color Palette.


Operation of Multiple Graph Mechanism

2.37 Operation of Multiple Graph Mechanism

To display/hide an additional chart panel (up to 4), use the commands [image], [image], [image] from: AsTrend > View tab > Panels group.

The chart number 1 is the main chart and is also visible.

***

To add the graph to a given chart, you should select the graph in the legend and use the command Graph Location from the context menu.

The second way is to drag the selected graph and drop it to the target chart panel.

While adding a new graph to the trend, the graph is added to the active chart panel.

***

To copy the graph to a given chart, drag (while pressing the Ctrl key) the selected graph and drop it to the target chart panel.

zoom in >>

Fig. AsTrend - Multiple Chart View.

***

Docking the chart window

The chart window can be docked in the trend window - over, under or in the place of the other chart panel. In the last variant - the current chart panel is covered by the docked panel - and you can switch between the chart panels using tabs Chart, Chart 2...

You can dock the chart panel by dragging it into the other chart area and fit it into the virtual scheme of arrows.

You can back to independent shape of the chart panel by dragging the chart tab over the chart area.

You can reset the composition of panels by the command Reset Panel Composition [image] from:

AsTrend > View tab > Panels group.

Window layout is stored in AsTrend automatically when you exit the program - but there is also the possibility to save the window state for the trend file by the command Storing Window Layout from:

AsTrend > View tab > Window group > 'Trend Window Options' window run by the button [image].

zoom in >>

Fig. Docking the Chart Panel.


Changing the Language of the Program

2.38 Changing the Language of the Program

To change the language of the program AsTrend, use the button Language from AsTrend > View tab > Style group, provided AsTrend run independently of the Asix application.


Declaration of Network Parameters

2.39 Declaration of Network Parameters

The Network of Asix system tab - accessible in the 'Program Options' window called up from the File menu - allows you to declare:

- names of the data servers from which data will be loaded to display trend charts,

- and the server maximum answer time and the data server maximum response waiting time (value in milliseconds).

Figure: Program options - 'Network of Asix system' tab.


Aslink Network Module Setup

2.40 Aslink Network Module Setup

The Aslink network module is responsible for retrieving archive data. No module configuration is necessary to operate the AsTrend program – the system may correctly operate at default network module settings. However, the network protocols and the station name parameters must be set up.

• In case the AsTrend program is to operate in conjunction with the Asix system application, values of both parameters are retrieved from the application configuration (XML) file.

The network protocol parameter value is set up on:

Architect > Fields and Computers > Network module > TCP/IP Communication and NetBIOS Communication tab

The station name parameter values is set up on:

Architect > Fields and Computers > Network module > TCP/IP Communication and NetBIOS Communication tab

• In case the AsTrend program is to operate alone, the following lines should be inserted into the ASLINK.INI file (the file should reside within the directory, from which the AsTrend program is run):

[ASLINK]

NAME=ASIXTREND

ADAPTER=TCPIP

Instructions how to prepare the configuration file for a stand alone workstation and for a networked workstation are given in subsequent chapters below.


more_sampling_period

Sampling Period of Uniform Data - the length is the multiple of seconds, minutes, hours, changes, days and weeks.

Fig. The Window 'Uniform Data - Sampling Period'.


okres próbkowania

Sampling Period of Uniform Data - the length is the multiple of seconds, minutes, hours, changes, days and weeks.

Fig. The Window 'Uniform Data - Sampling Period'.


okres próbkowania

Sampling Period of Uniform Data - the length is the multiple of seconds, minutes, hours, changes, days and weeks.

AsTrend shift parameterization is implemented in:

AsTrend main window > Data tab > Input Data group > the window 'Trend Input Data Options' > Shift System tab

Fig. The Window 'Uniform Data - Sampling Period'.

Fig. Trend Input Data Options - Shift System.